debian-policy (4.4.1.1) unstable; urgency=medium

  * Add /run/reboot-required change to the upgrading checklist
    (Closes: #941475).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 Oct 2019 07:29:56 -0700

debian-policy (4.4.1.0) unstable; urgency=medium

  * Policy: Only one Vcs-<type> field is permitted
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #931975
  * Policy: Document /run/reboot-required mechanism
    Wording: Karl O. Pinc <kop@meme.com>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Simon McVittie <smcv@debian.org>
    Closes: #919507
  * Policy: doc-base now optional, not recommended
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Ansgar Burchardt <ansgar@debian.org>
    Closes: #910783
  * Copyright format: state syntactical restrictions on Files: field
    Wording: Nicolas Boulenguez <nicolas@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #688481

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 29 Sep 2019 11:11:49 -0700

debian-policy (4.4.0.1) unstable; urgency=medium

  * Rebuild against newer libjs-sphinxdoc (Closes: #932359).
    Thanks Gabriele Stilli for the report.
  * Clarify using more than one VCS-* field.
    Thanks to Guillem Jover for reporting the problem and Russ Allbery for
    the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 18 Jul 2019 21:01:09 +0100

debian-policy (4.4.0.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Recommend use of dh
    Wording: Russ Allbery <rra@debian.org>
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Sam Hartman <hartmans@debian.org>
    Closes: #930666
  * Policy: Permit -b in Vcs-Hg as well as Vcs-Git
    Wording: Chris Lamb <lamby@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #897217, #920355
  * Policy: Document versioned Provides:
    Wording: Dominic Hargreaves <dom@earth.li>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: gregor herrmann <gregoa@debian.org>
    Closes: #761219
  * virtual-package-names-list: Add logind, default-logind
    Wording: Adam Borowski <kilobyte@angband.pl>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #917431
  * Add text to header of the virtual packages list describing the
    "(versioned)" annotation.
  * Fix reference to FHS section in Policy 9.1.2.
    Thanks to Juuso "Linda" Lapinlampi for the patch.
    (Closes: #922654)
  * Process: Rewrite description of 'obsolete' usertag.
  * Process: Add 'stalled' usertag.
  * Add footnote to 2.3 with a list of licenses thought not to require the
    copying of all copyright notices into the package's copyright file
    (Closes: #928199).
    This was based on discussion between myself and FTP team members.

  [ Russ Allbery ]
  * Fix formatting of the debian_revision explanation in Policy 5.6.12.
    Thanks to Emmanuel Arias for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 07 Jul 2019 15:40:41 +0100

debian-policy (4.3.0.3) unstable; urgency=medium

  * Add link to jenkins.debian.net build of Policy (Closes: #921963).
    Thanks, Holger Levsen.
  * Rebuild against newer libjs-sphinxdoc (Closes: #921889).
    Thanks Gabriele Stilli for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 27 Feb 2019 16:59:51 -0700

debian-policy (4.3.0.2) unstable; urgency=medium

  * Rebuild against newer libjs-sphinxdoc (Closes: #921889).
    Thanks Gabriele Stilli for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 09 Feb 2019 17:05:48 -0700

debian-policy (4.3.0.1) unstable; urgency=medium

  * Correct heading in upgrading checklist "Version 4.2.2"->"Version 4.3.0".

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 23 Dec 2018 11:11:04 +0000

debian-policy (4.3.0.0) unstable; urgency=medium

  * Policy: Update recommendations for stripping binaries and shlibs
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Closes: #188731
  * Policy: Slightly relax when copyright information need be included verbatim
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #912581
  * Policy: Required targets must not write outside of the source package tree
    Wording: Johannes Schauer <josch@debian.org>
    Wording: Bill Allombert <ballombe@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #845715
  * Policy: Packages should not contain a non-default series file
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Closes: #850156
  * virtual-package-names-list: Add dbus-session-bus, default-dbus-session-bus
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Simon McVittie <smcv@debian.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Closes: #833401
  * In a preexisting footnote, recommend passing -D to strip(1) when
    stripping static libraries.
    Thanks to Niels Thykier for the suggestion.
  * Add references to 'next' branch in README.md.
  * Convert virtual-package-names-list to YAML (Closes: #914383).
    Thanks to Jonathan Dowland for the patch.
  * Append missing '.git' to Vcs-Git.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 23 Dec 2018 10:17:55 +0000

debian-policy (4.2.1.5) unstable; urgency=medium

  * Add references to 'next' branch in README.md.
  * Replace a 'can' with a 'may' for readability in 7.7 (Closes: #824495).
    Thanks to Santiago Vila for reporting the problem.
  * Update location of sample init.d script (Closes: #913295).
    Thanks to Dmitry Bogatov for the patch.
  * Document in 1.1 that not all bugs are Policy violations (Closes: #913659).
    Thanks to Ian Jackson for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 17 Nov 2018 09:36:39 -0700

debian-policy (4.2.1.4) unstable; urgency=medium

  * Increase ToC depth 3->4 (Closes: #912059).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Oct 2018 11:30:59 -0700

debian-policy (4.2.1.3) unstable; urgency=medium

  * Update URI to d-i internals manual (Closes: #906910).
    Thanks to Holger Wansing for the patch.
  * Crosslink and deduplicate 4.9 and 10.1.
    These sections both include discussion of the verbosity of build logs
    and compiler warnings.
  * Add policy/definition.txt to .gitignore.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Oct 2018 12:36:19 -0700

debian-policy (4.2.1.2) unstable; urgency=medium

  * README.md: drop mention of 'dbnpolicy' UNIX group, which has now been
    deleted.
  * Upgrading checklist: drop the word 'maximally', to match the change to
    section 4.9 made in release 4.2.1.0.
  * README.md: add steps to add a new language.
  * Use Sphinx replacements to insert the version and date into index.rst,
    rather than substituting it in during the build (Closes: #909079).
    This means that .po files are invalidated slightly less frequently.
    Thanks to Hideki Yamane for the patch.
  * Rebuild to update Recommends: field (Closes: #910561).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 09 Oct 2018 14:25:50 -0700

debian-policy (4.2.1.1) unstable; urgency=medium

  [ Sean Whitton ]
  * Drop stray colon in 4.9.
    Thanks to Thorsten Glaser for pointing this out.
  * New "Seeking seconds for a patch" section in README.md.
    Ralf Treinen suggested recommending that those who propose patches
    include word diffs and/or side-by-side diffs.
  * README.md: remove a lot of outdated information, some wordsmithing,
    and rearrangement to highlight opportunities for contribution.

  [ Russ Allbery ]
  * Add a footnote warning that different SONAMEs of the same shared
    library cannot always be made safely co-installable, but these
    exceptions are complex and beyond what Policy can explain.
    (Closes: #901437)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Sep 2018 13:27:09 -0700

debian-policy (4.2.1.0) unstable; urgency=medium

  * Policy & Perl Policy: /usr/bin/perl shebang 'must' -> 'should'
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Dominic Hargreaves <dom@earth.li>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #906901
  * Fix inconsistent wording in 4.9 by dropping the word 'maximally'
    (Closes: #905251).
    Thanks to several people who pointed out this issue, both in the BTS
    and in person.

  * Demote libjs-sphinxdoc hard dependencies to recommendations by using
    an override_dh_linktree stanza (Closes: #906139).
    Thanks to Vagrant Cascadian and Sven Joachim for the report and Ian
    Jackson for suggesting the fix.
  * README.md improvements:
    - Add references to salsa:dbnpolicy/policy-l10n-merge-requests-here
      repo.
    - Improve the description of the release process (Closes: #905909)
      Thanks Osamu Aoki for the patch.
    - Add a link to the new 'by-complexity' BTS view.
    - Some other small fixes (Closes: #905696).
      Thanks Helge Kreutzmann for pointing them out.
  * Update and alphabetise lists of the Policy delegates in various places.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 25 Aug 2018 13:05:54 -0700

debian-policy (4.2.0.1) unstable; urgency=medium

  [ Hideki Yamane ]
  * Partial translation of Policy Manual chs. 1--3 into Japanese.
    - Add debian-policy-ja binary package.
  * Infrastructure for translations.
    - New build dependency on sphinx-intl.

  [ Sean Whitton ]
  * Switch dh_sphinxdoc->dh_linktree.
    dh_sphinxdoc gets confused by the use of sphinx-intl.
    - New build dependency on dh-linktree.
  * Bump copyright years in d/copyright.
  * Refer to rST source, not SGML source, in d/copyright.
  * Add section 1.6, "Translations".
  * Add "Translation" subsection to README.md.

  [ Sean Whitton & Ian Jackson ]
  * Simplify and rework Hideki's Makefile & dh_{auto_,}install changes.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 03 Aug 2018 19:31:54 +0800

debian-policy (4.2.0.0) unstable; urgency=medium

  * Policy: Standards-Version field is mandatory
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Closes: #886258
  * Policy: Builds should be verbose & 'terse' DEB_BUILD_OPTIONS flag
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Andrey Rahmatullin <wrar@debian.org>
    Seconded: David Bremner <bremner@debian.org>
    Seconded: Ian Jackson <ijackson@chiark.greenend.org.uk>
    Closes: #628515
  * Policy: Required targets may attempt some network access
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: David Bremner <bremner@debian.org>
    Seconded: Osamu Aoki <osamu@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Closes: #813471
  * Policy: Installation of upstream release notes and changelogs
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: David Bremner <bremner@debian.org>
    Closes: #459427

  * Add a third paragraph to 1.3.3 encouraging the submission of patches
    to document new techniques sooner rather than later, while making it
    clear that updating the Policy Manual should never block making other
    improvements to Debian.
  * Tweak wording in a sentence in 1.1.
  * Add a note to the README about why salsa merge requests are turned off.

  * Stop installing policy-1.html because Sphinx's singlehtml output is
    too buggy at present (Closes: #873456, #876075, #879048).
    See also #877367.  Thanks to Paul Wise for switching the web mirrors
    away from policy-1.html.

  * license-count: improve regex for some Creative Commons licenses.
    Thanks Jonathan Dowland for the patch.
  * Fix some indentation in ch-archive.rst.
    Thanks Hideki Yamane for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 02 Aug 2018 09:43:33 +0800

debian-policy (4.1.5.0) unstable; urgency=medium

  * Policy: Update section 4.1, "Standards conformance"
    Wording: Ian Jackson <ijackson@chiark.greenend.org.uk>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #901160
  * Policy: Require d-devel consultation for each epoch bump
    Wording: Ian Jackson <ijackson@chiark.greenend.org.uk>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Paul Gevers <elbrus@debian.org>
    Closes: #891216
  * Policy: Document Rules-Requires-Root
    Wording: Niels Thykier <niels@thykier.net>
    Wording: Guillem Jover <guillem@debian.org>
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Paul Gevers <elbrus@debian.org>
    Closes: #880920
  * Policy: Update version of POSIX standard for shell scripts
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Simon McVittie <smcv@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Gunnar Wolf <gwolf@debian.org>
    Closes: #864615
  * Policy: Update version of FHS from 2.3 to 3.0
    Wording: Simon McVittie <smcv@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #787816
  * Add reference link to section 4.1 to section 5.6.11.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 04 Jul 2018 11:49:10 +0100

debian-policy (4.1.4.2) unstable; urgency=medium

  * Fix URL to the alioth lists service in footnote (Closes: #896749).
    Thanks Martin Zobel-Helas for the report.
  * Tidy up "Authors and Maintainers":
    - Add subsections to separate the record of the document's history
      from the description of how it is presently maintained
    - Correct claims about the role of the manual's maintainers: the
      Policy Editors actually do have editorial power, thanks to our
      DPL delegation, but we further delegate this power to the
      Policy Changes Process.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 10 Jun 2018 09:32:13 +0100

debian-policy (4.1.4.1) unstable; urgency=medium

  * Fix some errors in upgrading checklist.
    Thanks to several people for noticing these.
    Thanks to Jeremy Bicha for a patch.
  * Soften wording in upgrading checklist for removal of get-orig-source
    target.
    Thanks Helmut Grohne for the new wording.
  * Fix sample postinst in 9.1.2 to comply with new required permissions
    for /usr/local (Closes: #895136).
    Thanks to Niels Thykier for noticing the problem, and for the new
    sample script.
    - Reorder 9.1.2 so that details of the permissions requirement appear
      before the sample postinst.
      This ensures that the complexity of the sample postinst makes sense
      to the reader.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Apr 2018 09:13:01 -0700

debian-policy (4.1.4.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Drop get-orig-source rules target
    Wording: Helmut Grohne <helmut@subdivi.de>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Closes: #515856
  * Policy: Update required permissions for /usr/local
    Wording: Santiago Vila <sanvila@unex.es>
    Seconded: Don Armstrong <don@debian.org>
    Seconded: Ian Jackson <ijackson@chiark.greenend.org.uk>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #299007
  * Policy: Document debian/missing-sources
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Gunnar Wolf <gwolf@debian.org>
    Closes: #742364
  * Policy: Uniqueness of version numbers
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Simon McVittie <smcv@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #881431
  * Update recommendations dh_systemd_* -> dh_installsystemd (Closes: #889167).
    Thanks Chris Lamb for the report.
  * Fix some typos (Closes: #886890).
    Thanks Sebastian Rasmussen for the patch.
  * Fix some errors in shell script snippets caused by the rST conversion
    script (Closes: #888437).
    Thanks Yao Wei for the patch.
  * Fix version of init-system-helpers required for `defaults-disabled`
    option from 1.5.0 to 1.50.
    Thanks to GengYu Rao for noting this on the debian-policy list.
  * Fix indentation of description of the clean target (Closes: #889960).
    Thanks Ferenc Wágner for the report.

  [ Jonathan Nieder ]
  * Use default-mta instead of exim in dependency example (Closes: #892142).
    Thanks to Paul Wise for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 05 Apr 2018 09:08:16 -0700

debian-policy (4.1.3.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Add CC0-1.0 to common-licenses
    Wording: Jeremy Bicha <jbicha@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Mattia Rizzolo <mattia@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #859649, #882628
  * Policy: Clarify when Built-Using should be used
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Closes: #688251
  * Policy: Use update-rc.d's defaults-disabled instead of DISABLED=yes
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Andreas Henriksson <andreas@fatal.se>
    Closes: #522163, #601455, #661496
    - Also explain how the local administrator can enable/disable
      autostarting daemons using update-rc.d.
  * Point Vcs-* fields at salsa.debian.org.
  * README: update references & URIs alioth->salsa
  * Maintainer field: "Debian Policy List"->"Debian Policy Editors"
    To match our new group on salsa.debian.org.

  [ Russ Allbery ]
  * Policy: Recommend that Vcs-* URLs provide confidentiality
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #810381
  * Policy: Clarify that programs may search PATH for editor and pager
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #880992
  * Policy: Allow libc to install files in /lib64
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #885219
  * Use the term 'synopsis' consistently in copyright-format.  Thanks, Ben
    Finney.  (Closes: #874095)
  * Fix various minor wording issues and add additional cross-references
    in copyright-format.  Thanks, Ben Finney.  (Closes: #874090)
  * Adapt tools/license-count to run against ftp-master metadata instead
    of the Lintian lab, add patterns for CC0-1.0, and add some comments on
    how to run this tool.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 27 Dec 2017 22:13:55 +0000

debian-policy (4.1.2.0) unstable; urgency=medium

  * Policy: /usr/bin/perl shebang 'should' -> 'must'
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Dominic Hargreaves <dom@earth.li>
    Seconded: Salvatore Bonaccorso <carnil@debian.org>
    Seconded: Gunnar Wolf <gwolf@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Dominique Dumont <dod@debian.org>
    Closes: #683495
  * Policy: Update where private shared object files may be installed
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Mattia Rizzolo <mattia@debian.org>
    Seconded: Simon McVittie <smcv@debian.org>
    Closes: #636383
  * Policy: Convention for naming packages with potentially offensive content
    Wording: Ian Jackson <ijackson@chiark.greenend.org.uk>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Gunnar Wolf <gwolf@debian.org>
    Seconded: Iain R. Learmonth <irl@debian.org>
    Closes: #882445
  * Update links to other formats in 1.2 (Closes: #877674).
    Thanks to Laura Arjona Reina for the patch.
  * Fix duplication in upgrading checklist.
    /nonexistent as the canonical home directory was listed under 4.1.1
    and 4.1.0.
  * Miscellaneous spelling fixes (Closes: #878523).
    Thanks to Ville Skyttä for the patch.
  * Drop workarounds in d/rules for the (reopened) dh_sphinxdoc bug #872863.
    Thanks to Dmitry Shachnev for fixing the bug.
    - Tighten build-dep on sphinx-common.
  * Add a footnote documenting limitations on build-dependency
    alternatives imposed by Debian's autobuilders (Closes: #614807).
    Thanks to Sean Finney for the patch, and Simon McVittie for reviewing.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 30 Nov 2017 15:23:05 -0700

debian-policy (4.1.1.1) unstable; urgency=medium

  * Fix some broken links in singlehtml output (Closes: #877573).
    Thanks to Paul Wise for pointing out the problem.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 03 Oct 2017 21:22:45 -0700

debian-policy (4.1.1.0) unstable; urgency=medium

  [ Russ Allbery ]
  * Add back missing parentheses around the man page section in man page
    references in the Policy manual, lost in the conversion to
    reStructuredText.  Thanks, Daniel Shahaf.
  * Revert the contents of the policy.html directory to the multi-page
    HTML output.  (Closes: #872895)
  * Move the single-page HTML output to policy-1.html, matching the
    previous file name, and add the supporting _images and _static
    directories to /usr/share/doc/debian-policy.
  * Remove the stray policy.html.tar.gz file from the built package.
    (Closes: #872896)
  * Simplify the build rules for generating policy.html.
  * Remove some stray build rules left over from DocBook Policy.
  * Restructure the document to ensure proper section numbering in info
    and PDF output except for the appendices.  The appendix numbering
    will require a Sphinx change.  (Closes: #872893, #872950)
  * Rename the info document to debian-policy.info to make it less
    generic, and update the PNG file names accordingly.  (Closes: #872900)
  * Reformat the shared libraries chapter (8) to move footnotes to the end
    of the section of their references and use more succinct
    reStructuredText syntax.  Fix some errors in the shlibs syntax and
    examples introduced by the conversion, and missing newlines in the
    footnote illustrating alternative templates that were lost in the
    DocBook translation.
  * Add a footnote documenting a (complex) command that returns the Debian
    package name for a shared library.  Thanks, Jakub Wilk and Julien
    Cristau.  (Closes: #661928)
  * Add build dependency on latexmk.  (Closes: #873125)

  [ Sean Whitton ]
  * Policy: debian/changelog must exist in source packages
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Mattia Rizzolo <mattia@debian.org>
    Closes: #683222
  * Policy: /nonexistent is the canonical non-existent home directory
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: David Bremner <bremner@debian.org>
    Closes: #679751
  * Policy: Correct the description of Testsuite: field
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Closes: #870915
    Thanks to Ondřej Nový for pointing out the problem.
  * Fix a typo in 4.1.0 upgrading checklist (Closes: #873819).
    Thanks, Martin Kepplinger.
  * Add missing line breaks in summary of the ways in which maintainer
    scripts may be called (Closes: #874411).
    Thanks Sébastian Villemot for reporting the issue, and for the patch.
  * Drop workarounds for dh_sphinxdoc's lack of support for singlehtml.
    Thanks Dmitry Shachnev for the new support in dh_sphinxdoc.
    - Tighten build-dep on sphinx-common.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Sep 2017 13:27:46 -0700

debian-policy (4.1.0.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Packages should build reproducibly
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Ondrej Novy <novy@ondrej.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Ximin Luo <infinity0@debian.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Closes: #844431
  * Policy: Restrictions on the use of /lib64/ and /usr/lib64/
    Wording: Bill Allombert <ballombe@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #630174
  * Policy: Clarify how `x-terminal-emulator -e` must behave
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #648271
  * Fix a singular/plural error in 9.6.
    Thanks to Didier Raboud for pointing out the problem.
  * Improve release process documentation in README.md.
  * Policy changes process:
    - Deprecate usage of the 'issue' usertag
      It is usually very clear whether an issue is a policy matter, so bugs
      can be simply closed, or moved to the 'discussion' phase.
      In the rare case that it's not clear whether the bug is a policy matter,
      it can remain unclassified, or be tagged 'moreinfo' (see below).
    - Add policy-specific usage for the 'moreinfo' tag.
  * tools/policy-bug-report:
    - Enhance to fetch bugs that have a given usertag or combination of
      usertags
    - Improve the lists of bugs generated, for posting to Planet Debian.
  * Add convention to upgrading checklist for indicating that a policy
    requirement is covered by Lintian.

  [ Russ Allbery ]
  * Policy: Recommend including the upstream signing key
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Didier 'OdyX' Raboud <odyx@debian.org>
    Closes: #732445
  * Policy: Clearly allow non-default alternative non-free dependencies
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Simon McVittie <smcv@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #587279

  [ Russ Allbery & Sean Whitton ]
  * Convert the source of the Debian Policy Manual to reStructuredText,
    built using the Sphinx toolchain.
    Many thanks to Hideki Yamane <henrich@debian.or.jp> for the conversion
    scripts, and pushing the project forward.
    Thanks to David Bremner <bremner@debian.org> for help proofreading the
    output.
    - Drop PostScript output.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 21 Aug 2017 14:17:42 -0700

debian-policy (4.0.1.0) unstable; urgency=medium

  [ Russ Allbery ]
  * Policy: Overhaul priorities, deprecate extra
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Seconded: Andreas Henriksson <andreas@fatal.se>
    Seconded: Ansgar Burchardt <ansgar@debian.org>
    Closes: #758234, #759260, #660249, #196367
  * Policy: Clarify prohibition on depending on environment variables
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Simon McVittie <smcv@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Closes: #640263

  [ Sean Whitton ]
  * Policy: Disambiguate "original authors" in 12.5
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: David Bremner <bremner@debian.org>
    Seconded: Jonas Smedegaard <dr@jones.dk>
    Closes: #678607
  * Policy: Document Testsuite: field
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Antonio Terceiro <terceiro@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: David Bremner <bremner@debian.org>
    Closes: #758124
  * Policy: Require calling ldconfig by means of triggers
    Wording: Niels Thykier <niels@thykier.net>
    Seconded: Andreas Henriksson <andreas@fatal.se>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: David Bremner <bremner@debian.org>
    Closes: #822430
  * Policy: Make section 9 agnostic between Debian's init systems
    Wording: Andreas Henriksson <andreas@fatal.se>
    Seconded: Andrey Rahmatullin <wrar@debian.org>
    Seconded: Martin Pitt <mpitt@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #835520
  * Policy: Packages may not install both a desktop entry and a menu entry
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Philip Hands <phil@hands.com>
    Seconded: Didier 'OdyX' Raboud <odyx@debian.org>
    Seconded: David Bremner <bremner@debian.org>
    Closes: #839172
  * Convert Process.md to an appendix to Policy itself.
    - Update link in "Authors and Maintainers" to point to this new
      appendix (Closes: #866192).
  * Incorporate Margarita Manterola's maintscript flowcharts as a new
    appendix (Closes: #485776).
    Many thanks to David Bremner for help importing the images to docbook.
    - Add a footnote to 6.6 linking to the new appendix.
  * Update first paragraph of Appendix A to note that the final three
    appendices (the policy changes process and the upgrading checklist)
    were not taken from the Packaging Manual.
  * Add a footnote linking to the REJECT-FAQ (Closes: #849853).
  * Note that the debian/rules clean target is useless for removing files
    not compatible with the DFSG (Closes: #849851).
  * Add 'javascript', 'rust' archive sections (Closes: #867308).
  * Drop remark that systems with only required packages installed are
    "probably unusable", and add a paragraph break. (Closes: #589671).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 05 Aug 2017 21:47:47 -0400

debian-policy (4.0.0.4) unstable; urgency=medium

  * Fix URLs to Policy documents.  Policy previously used the full URL as
    the link but a partial URL as anchor text, and then sometimes added
    the full URL in parentheses.  The result was very ugly in the text
    version.  Replace that style with just the full URL as anchor text for
    a link to that URL, which is not ideal for HTML output but produces
    reasonable results for both HTML and text.
  * Extensive reformatting of the maintainer script section.
    - Use <cmdsynopsis> in the summary of how maintainer scripts are
      called, with a single <term>.  This avoids gluing all the command
      summaries together with commas.  The output in text is radically
      better; HTML has some font issues, but isn't awful.
    - Avoid trailing newlines in <screen> examples, which produce extra
      whitespace in text and HTML output.
    - Use different numeration methods at different levels of the nested
      ordered lists and ensure there is some introductory text for each
      list element to avoid awkward formatting.
  * Convert many of the <screen> tags in Policy to </programlisting> since
    the semantics are slightly more correct.
  * Remove the newline before </screen> or </programlisting> end tags,
    since it produces an extraneous and distracting blank line in both
    text and HTML output.
  * Change the mapping of Perl module names to Debian package names in
    the Perl Policy from a verbatim block to a table.
  * Change the list of cron directories from a verbatim block to a list.

 -- Russ Allbery <rra@debian.org>  Sun, 25 Jun 2017 20:34:27 -0700

debian-policy (4.0.0.3) unstable; urgency=medium

  [ Sean Whitton ]
  * Fix typo 'the' -> 'they' in upgrading checklist (Closes: #865685).
    Thanks Sven Joachim for the report.

  [ Russ Allbery ]
  * Move the autopkgtest, copyright-format, and debconf_specification
    source files to the top-level directory and the debconf_spec/include
    files to a debconf directory.  Simplify the build system to eliminate
    recursive make, reuse the same XML version file for all files, and use
    the same method of embedding a version in Markdown output for all
    files.
  * Fix dependencies so that version.xml is generated before XML
    validation is done on XML source files.
  * Move README.shlibdeps and libc6-migration.txt to a new historical
    subdirectory and add a README explaining that the files in this
    directory are of historical interest only and are not included in the
    debian-policy binary package.

 -- Russ Allbery <rra@debian.org>  Sat, 24 Jun 2017 14:11:19 -0700

debian-policy (4.0.0.2) unstable; urgency=low

  [ Sean Whitton ]
  * Update list of Policy Editors in various places.
    See https://lists.debian.org/debian-devel-announce/2017/06/msg00005.html

  [ Russ Allbery ]
  * Remove mention of the libc6 migration paper from the package long
    description.  This is no longer shipped in the debian-policy package.

 -- Russ Allbery <rra@debian.org>  Mon, 19 Jun 2017 20:58:28 -0700

debian-policy (4.0.0.1) unstable; urgency=low

  * Upload to unstable.
  * Clarify the conflict policy between /path and /usr/path by adding the
    leading slash in front of the first path.  Thanks, Ferenc Wágner.
  * Change http URLs to https for every resource available over https.
  * Replace broken CPAN URL in the Perl policy with the current URL, and
    turn this into an in-line link rather than a footnote with the full
    URL.  This hides the URL in the text output, but it's not horribly
    important for the text version and easy to find with a search.
  * Fix formatting of the list of shlibs and symbol file locations.  These
    were mistakenly converted to itemized lists instead of variable lists
    during the DocBook conversion, which produced inferior output.
  * Use UTF-8 instead of ISO-8859-1 as the character set for the text
    versions of policy documents.
  * Further standardize author and copyright notices.
    - Add the notice from the main document that the copyright notices are
      incomplete to the other documents with copyright notices.
    - Add the Debian Policy Mailing List as an author of the debconf
      specification.
    - Replace (incorrect) Software in the Public Interest copyrights with
      copyright notices for the original authors.
    - Standardize capitalization of Debian Policy Mailing List in notices.
    - Update copyright notices in debian/copyright.
  * Add a full copy of the BSD license without advertising clause to the
    <legalinfo> section of the debconf specification, instead of just a
    reference to it.
  * Update the GPL license statements to the current recommended form,
    which doesn't include a street address for the FSF.  Use all-caps for
    the warranty disclaimer just in case it matters.  Link to the general
    FSF license page to make it easier to find the GPLv2, which is
    technically the license under which these documents are distributed,
    even if the GPLv3 may be used if desired.
  * Completely rewrite the build system to use debhelper.
    - Remove all hand-rolled package build rules and let debhelper do the
      package construction.
    - Remove gzip compression from the main build and let debhelper handle
      compression of text files.  This allows debhelper to control the
      gzip flags and do whatever is correct for reproducible builds.
    - The top-level Makefile now has conventional all and install targets
      that build all documents and would install them (not that anyone is
      likely to use the install target other than the packaging).
    - Get the document publication dates from debian/changelog instead of
      the current date for more reproducible builds.
    - Do xmllint validation of the copyright-format and debconf
      specification documents as well.
    - Remove a bunch of old leftovers from the clean and distclean targets
      and make distclean identical to clean.  Stop cleaning editor
      autosave files and patch droppings (this can be destructive).
    - Move all doc-base files into the debian packaging directory.
  * Restructure the command list in the debconf specification document to
    pass xmllint, which didn't like including the body of an itemizedlist
    as an XML entity.
  * Add missing release date to the 4.0.0 upgrading-checklist entry.
  * Fix tools/policy-bug-report to not fail when bug lists are empty and
    to ignore closed bugs.
  * Don't delete virtual-package-names-list.txt during make distclean.
  * Make distclean depend on clean to remove stamp-* files.
  * Update Standards-Version of the debian-policy package itself.

 -- Russ Allbery <rra@debian.org>  Sun, 18 Jun 2017 19:27:48 -0700

debian-policy (4.0.0.0) experimental; urgency=low

  [ Andreas Barth ]
  * Policy: Add the MPLs to /usr/share/common-licenses
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Andrey Rahmatullin <wrar@debian.org>
    Closes: #768292
  * Policy: [5.6.12] forbid colons in package version numbers
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Didier 'OdyX' Raboud <odyx@debian.org>
    Seconded: Sam Hartman <hartmans@debian.org>
    Thanks: Jakub Wilk <jwilk@debian.org>
    Closes: #792853
  * Policy: [4.3] Update config.guess and config.sub during the build
    Wording:  Bill Allombert <ballombe@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Seconded: Andreas Barth <aba@ayous.org>
    Closes: #746514
  * Spelling fixes, thanks to Martin A. Brown. Closes: #820197

  [ Russ Allbery ]
  * Policy: [10.9] Don't contact base-passwd maintainer for dynamic users
    Wording: Colin Watson <cjwatson@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Didier 'OdyX' Raboud <odyx@debian.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Closes: #841877
  * Policy: Document Build-Depends-Arch and Build-Conflicts-Arch
    Wording: Johannes Schauer <josch@debian.org>
    Seconded: Stuart Prescott <stuart@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #823910
  * Policy: Add nodoc tag to DEB_BUILD_OPTIONS
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Johannes Schauer <j.schauer@email.de>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Andrey Rahmatullin <wrar@debian.org>
    Closes: #759186
  * Policy: Prohibit file conflicts between /bin and /usr/bin
    Wording: Ansgar Burchardt <ansgar@debian.org>
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Seconded: Felipe Sateler <fsateler@debian.org>
    Closes: #759492
  * Policy: Debug packages don't need a debian/control paragraph
    Wording: Tanguy Ortolo <tanguy+debian@ortolo.eu>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Closes: #819660
  * Policy: New dpkg-architecture flags
    Wording: Guillem Jover <guillem@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Closes: #793493
  * Policy: Remove even the fallback to calling /etc/init.d directly
    Wording: Ondřej Nový <onovy@debian.org>
    Seconded: Michael Stapelberg <stapelberg@debian.org>
    Seconded: Andreas Henriksson <andreas@fatal.se>
    Closes: #833177
  * Policy: Limit strength of dependencies on -doc packages
    Wording: Josh Triplett <josh@joshtriplett.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Closes: #823348
  * Policy: Explicitly allow https form of copyright-format URL
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Andrey Rahmatullin <wrar@debian.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Seconded: Didier 'OdyX' Raboud <odyx@debian.org>
    Closes: #850646
  * Policy: Recommend libraryname-dev or librarynameAPIVERSION-dev
    Wording: Ansgar Burchardt <ansgar@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Closes: #568374
  * Policy: Add optional try-restart init status, make status recommended
    Wording: Andreas Henriksson <andreas@fatal.se>
    Seconded: Simon McVittie <smcv@debian.org>
    Seconded: Felipe Sateler <fsateler@debian.org>
    Seconded: Ondřej Nový <novy@ondrej.org>
    Closes: #181123
  * Policy: No special dependency now required for /run
    Wording: Marc Haber <mh+debian-packages@zugschlus.de>
    Seconded: Andreas Henriksson <andreas@fatal.se>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #852314
  * Policy: Update policy on /dev and device file management
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Andreas Henriksson <andreas@fatal.se>
    Seconded: Simon McVittie <smcv@debian.org>
    Closes: #698012
  * Policy: Remove integration instructions for upstart
    Wording: Ansgar Burchardt <ansgar@debian.org>
    Seconded: Michael Biebl <biebl@debian.org>
    Seconded: Andrey Rahmatullin <wrar@debian.org>
    Seconded: Simon McVittie <smcv@debian.org>
    Closes: #835490
  * Perl: Update module search path for multiarch support
    Wording: Dominic Hargreaves <dom@earth.li>
    Seconded: Niko Tyni <ntyni@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #798309
  * virtual-package-names-list: Add adventure
    Wording: Ben Finney <ben+debian@benfinney.id.au>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Closes: #821859
  * virtual-package-names-list: Add httpd-wsgi3
    Wording: Bill Allombert <ballombe@debian.org>
    Seconded: Brian May <bam@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #768117
  * virtual-package-names-list: Add virtual-mysql-* packages
    Wording: Otto Kekäläinen <otto@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Closes: #829367
  * Convert all remaining DebianDoc-SGML source files in the package to
    DocBook XML.  Many thanks to Osamu Aoki and Guillem Jover for lots of
    hard work on the conversion.  This was a huge conversion, so there
    will probably be some lingering formatting issues, incorrect markup,
    and less-than-ideal output.  Please report any problems as bugs.
    (Closes: #175064, #700532, #809382)
  * Additional fixes from Guillem Jover as part of the DocBook conversion:
    - Stop distributing the source SGML files as part of the installed
      package.  There doesn't seem to be any point in doing this.
    - Switch to xsltproc and dblatex instead of OpenJade.
    - Stop using tidy on the generated files since it generates larger
      files and the output from xsltproc is already compliant and fairly
      clean.
    - Remove unused Build-Depends.
    - Use entities instead of literal <, >, and & characters.
    - Use <var> instead of escaped angle brackets for metavariables.
    - Use <var> instead of <em> inside <tt>.
    - Avoid slashes in section IDs.
    - Convert a comment about maintenance policy in the Menu Policy
      document to a regular paragraph in the document.
    - Replace a comment reference to the policy maintenance process with
      an actual link to Process.md.
    - Remove obsolete SGML comments.
  * Move the description of < and > relations to a footnote to make
    abundantly clear that they're no longer valid relation operators in
    dependencies.  (Closes: #816515)
  * Clarify informative mentions of debian/tmp in the appendices to
    document the now-common use of debian/<pkg> instead as the temporary
    staging area.  Document that convention, instead of
    debian/tmp-something, for multi-binary packages.  Thanks, Niels
    Thykier.  (Closes: #816249)
  * Remove lingering wording that implied that build-arch and build-indep
    targets are optional.  Thanks, Ferenc Wagner, Jakub Wilk, and Charles
    Plessy.  (Closes: #793999)
  * Rather than giving the paths to the installed shlibs and symbols files
    and then saying those paths shouldn't be used, just say to use
    dpkg-query --control-show.  Recommend --control-show instead of
    --control-path, since the latter is deprecated.  Patch from Salvatore
    Bonaccorso.  (Closes: #688220)
  * Explicitly give Unicode code points in the definition of the syntax of
    Debian control files and, where appropriate, show the character.
    Patch from Ben Finney.  (Closes: #821365)
  * Remove obsolete footnote about a versioned dependency on a
    liblockfile1 release from 1999.  Thanks, Jakub Wilk.  (Closes: #794902)
  * Fix the long name of the Common Public License in the copyright-format
    policy.  It is just Common Public License, with no leading "IBM".
    Thanks, Stefano Zacchiroli.  (Closes: #781654)
  * Fix the copyright-format examples to not have duplicate License
    paragraphs.  Thanks, Stefan <bd@bc-bd.org>.  (Closes: #824922)
  * Replace reference to dbus-launch in the autopkgtest documentation with
    dbus-run-session.  Patch from Simon McVittie.  (Closes: #835876)
  * Add an example of an architecture restriction in a dependency with
    multiple architectures separated by spaces.  (Closes: #734662)
  * Replace use of markdown with MultiMarkdown for the autopkgtest
    documentation and convert README and Process to MultiMarkdown, thus
    dropping the last org-mode files and the build dependency on Emacs.
    Patch from Guillem Jover.  (Closes: #849483)
  * Add some additional information to the upgrading-checklist entry for
    the 3.9.8.0 release.
  * Fix debian/changelog and upgrading-checklist dates for the 3.9.8.0
    release to match the actual upload.  (Closes: #822059)
  * Fix duplicated "the" words in 4.4 and 8.6.3.2.  Patch from Valentin
    Samir.  (Closes: #830989)
  * Clean up the upgrading checklist a bit:
    - Rewrite the introduction to read a bit more smoothly and mention
      that the Standards-Version value omits the minor patch number.
    - Remove the minor patch number from all the version headings except
      for the anomalies that contain normative changes, and note those
      explicitly.
    - Remove some unhelpful section headings and trailing colons in very
      old upgrading checklist entries.
    - Standardize the release date format.
  * Compress all files with gzip -n to avoid embedding timestamps,
    enabling reproducible builds.
  * Redo some of the Makefile and debian/rules dependencies to avoid
    ambiguous pattern rules and to ensure that make at the top level
    rebuilds output files if input files change.
  * Switch to https URLs for Vcs-Git and Vcs-Browser.
  * Use the same URL for both Vcs-Git and Vcs-Browser, which now works
    fine and has some advantages over the gitweb version for Vcs-Browser.
    Thanks, Mattia Rizzolo.
  * Run wrap-and-sort -ast.
  * Tag as Multi-Arch: foreign (mostly to silence the hinter).

  [ Sean Whitton ]
  * Remove references to DebianDoc-SGML from README.md.
  * Fix typo & comma splice in Process.md.

 -- Russ Allbery <rra@debian.org>  Sun, 28 May 2017 12:27:07 -0700

debian-policy (3.9.8.0) unstable; urgency=medium

  * Policy: The Debian menu is optionally supported.
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
    Seconded: Cyril Brulebois <kibi@debian.org> (for the menu entries)
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #707851

 -- Don Armstrong <don@debian.org>  Wed, 06 Apr 2016 03:49:58 +0000

debian-policy (3.9.7.0) unstable; urgency=low

  * Policy: refreshed the names of the Policy Editors.
  * Makefile: use gzip -n when compressing generated files.
  * debian/control, Makefile:
     - add missing Build-Depends on sp (opensp). Closes: #812663
     - migrate to openjade and opensp.
  * debian/rules: no more ship libc6-migration.txt. Closes: #797478
  * Policy: Symbolic links must not traverse above the root directory.
    Wording: Andrey Rahmatullin <wrar@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Seconded: Henrique de Moraes Holschuh <hmh@debian.org>
    Closes: #555979
  * Policy: [9.2.2] document 32-bit UIDs ranges.
    Wording: Matthew Vernon <matthew@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #765499
  * Policy: [5.1] empty field values in control files are only permitted in
    the debian/control file of a source package.
    Wording:  Bill Allombert <ballombe@debian.org>
    Seconded: Henrique de Moraes Holschuh <hmh@debian.org>
    Seconded: Andrey Rahmatullin <wrar@debian.org>
    Closes: #666726
  * Policy: [4.9] debian/rules: required targets must not attempt network
    access.
    Wording:  Bill Allombert <ballombe@debian.org>
    Seconded: Andrey Rahmatullin <wrar@debian.org>
    Seconded: Lucas Nussbaum <lucas@debian.org>
    Closes: #770016
  * Policy: [12.3] recommend to ship additional documentation for package 'pkg'
    in a separate package 'pkg-doc' and install it into /usr/share/doc/pkg.
    Wording:  Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #106073

  [ Stefano Zacchiroli ]
  * autopkgtest: new document containing the specification of automatic,
    as-installed (AKA autopkgtest, or DEP-8) package tests
    Closes: #799779

 -- Bill Allombert <ballombe@debian.org>  Mon, 01 Feb 2016 23:03:51 +0100

debian-policy (3.9.6.1) unstable; urgency=low

  * Fix FTBFS with emacs 24.4. Thanks to David Bremner <david@tethera.net>
    for the help. Closes: #769219

 -- Bill Allombert <ballombe@debian.org>  Mon, 17 Nov 2014 11:55:55 +0100

debian-policy (3.9.6.0) unstable; urgency=low

  [ Bill Allombert ]
  * upgrading-checklist.sgml: remove spurious 'details in' leftover from
    the HTML transition.  Closes: #740100. Thanks Jakub Wilk.
  * debian/control:
    - Build-Depends emacs-nox|emacs instead of emacs23. Closes: #753999
    Thanks Gabriele Giacone and Rob Browning.
  * Packaging: refreshed the names of the Policy Editors.
  * Policy: [11.5.1] Web servers: Fix use of metasyntactic variables and
    applications Closes: #737730. Thanks Olivier Berger.
  * Policy: [5.6.21] Files: Fix typo "by" -> be. Closes: #753353.
    Thanks Benedikt Wildenhain.
  * Policy: Remove reference to DEHS (dead service)
    Wording: David Prévot <taffit@debian.org>
    Seconded: Julian Gilbey <julian@d-and-j.net>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #731810
  * Policy: Relax /usr/share FHS requirement for directories with mixed content.
    Wording: Joey Hess <joeyh@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Seconded: Michael Biebl <biebl@debian.org>
    Closes: #741304
  * Perl Policy: @INC has /usr/lib/perl/5.18, not /usr/lib/perl/5.18.2
    Wording: Niko Tyni <ntyni@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Closes: #748480
  * Perl Policy: Explain %Config earlier
    Wording: Niko Tyni <ntyni@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Damyan Ivanov <dmn@debian.org>
    Closes: #748479
  * Perl Policy: @INC changes for multiarch
    Wording: Niko Tyni <ntyni@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Damyan Ivanov <dmn@debian.org>
    Closes: #748380
  * Perl Policy: Packages using Perl vendorarch directory need a perlapi-*
    dependency
    Wording: Niko Tyni <ntyni@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Gregor Herrmann <gregoa@debian.org>
    Seconded: Axel Beckert <abe@debian.org>
    Closes: #750017
  * Policy: Grant an FHS exception for the multiarch headers directories
    Wording: Bill Allombert <ballombe@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #742756
  * Policy: Discourage statically linked binaries
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Closes: #555980
  * Policy: Clarify whose signature should go in debian/changelog (4.4)
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Seconded: Gregor Herrmann <gregoa@debian.org>
    Closes: #593611
  * Policy: Change default web document root to /var/www/html
    Wording: Bill Allombert <ballombe@debian.org>
    Seconded: Arno Töll <arno@debian.org>
    Seconded: Matthias Urlichs <matthias@urlichs.de>
    Closes: #491547
  * virtual-package-names-list: Update java runtime list
    Wording: Emmanuel Bourg <ebourg@apache.org>
    Seconded: Tony Mancill <tmancill@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Closes: #754876
  * virtual-package-names-list: Add httpd-wsgi 
    Wording: Bill Allombert <ballombe@debian.org>
    Seconded: Jonas Smedegaard <dr@jones.dk>
    Seconded: Piotr Ożarowski <piotr@debian.org>
    Closes: #588497
  [ Jonathan Nieder ]
  * Policy: Drop FHS requirement that /usr/local/lib<qual> exist when /lib<qual>
    or /usr/lib<qual> does.
    Wording: Tollef Fog Heen <tfheen@err.no>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #613143

 -- Bill Allombert <ballombe@debian.org>  Wed, 17 Sep 2014 20:03:20 +0200

debian-policy (3.9.5.0) unstable; urgency=low

  * Policy: Document the Package-List field.
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #697433
  * Policy: DM-Upload-Allowed is now obsolete
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Ansgar Burchardt <ansgar@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #679326
  * Policy: Checksums-{Sha1,Sha256} are now mandatory
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Ansgar Burchardt <ansgar@debian.org>
    Closes: #690293
  * Policy: Requirements for udebs are not well documented yet
    Wording: Russ Allbery <rra@debian.org>
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #698030
  * Policy: install-info is run by a dpkg trigger.
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #669915
  * Policy: Stop recommending to serve HTML documents from /usr/share/doc.
    Wording: Thomas Goirand <zigo@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Closes: #715804
  * Policy: File names encoded in UTF-8. ASCII preferred and mandatory in PATH.
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Julian Gilbey <julian@d-and-j.net>
    Closes: #701081
  * Policy: Document the Dgit field for Debian Source Control files.
    Wording: Ian Jackson <ijackson@chiark.greenend.org.uk>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Joey Hess <joeyh@debian.org>
    Seconded: Dmitrijs Ledkovs <xnox@debian.org>
    Closes: #720507
  * Policy: Remove the exception to the FHS for the /selinux directory.
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Steve Langasek <vorlon@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #707183
  * Policy: on upgrades, recommend removing obsolete unchanged conf. files.
    Wording: Paul Wise <pabs@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #707077
  * Policy: Control data fields must not start with a hyphen character.
    Wording: Niels Thykier <niels@thykier.net>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #706778
  * debconf_spec: Document the 'escape' capability.
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #671355
  * virtual-package-names-list: removed mp3-decoder and mp3-encoder.
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #668394
  * Clean outdated mentions of dpkg commands in appendix. Thanks, Guillem Jover
  * Remove outdated mention of dselect documentation.
    Closes: #700574.  Thanks, Guillem Jover.
  * Update dak reference from old katie name.
    Closes: #700536.  Thanks, Guillem Jover.
  * Fix typo in 8.6.4.  Thanks, Raúl Benencia.  (Closes: #691352)
  * Fix typo in 8.6.4.1.  Thanks, Salvatore Bonaccorso <carnil@debian.org>.
  * Added a warning in appendix G about diverting conffiles.
    Closes: #703022.  Thanks, Torsten Jerzembeck.
  * List build-arch and build-indep with the other required targets in 4.9.
    Closes: #704657.  Thanks, Philipp Hahn.
  * Replaced non-standard names of dpkg states by normalised ones.
    Closes: #705403
  * Clarify what is meant by "compressed" in section 10.5. (Closes: #676784)
  * Packaging: use the VCS URLs proposed by Lintian.
  * Packaging: normalised debian/control with the tool "config-model-edit".
  * Packaging: refreshed the names of the Policy Editors.

 -- Charles Plessy <plessy@debian.org>  Mon, 28 Oct 2013 09:40:48 +0900

debian-policy (3.9.4.0) unstable; urgency=low

  * build-arch and build-indep are now mandatory targets in debian/rules,
    implementing the Technical Committee ruling in #629385.  Wording
    review by Jonathan Nieder, Jakub Wilk, and Roger Leigh.
    (Closes: #374029)
  * Resynchronize the archive section list with ftp-master, adding tasks.
    Patch from Charles Plessy.  (Closes: #670429)
  * Policy: Copyright files must be encoded in UTF-8
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Salvatore Bonaccorso <carnil@debian.org>
    Seconded: Simon McVittie <smcv@debian.org>
    Closes: #661933
  * Policy: Prohibit deprecated < and > relations
    Wording: Jakub Wilk <jwilk@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #663918
  * Policy: Document the Built-Using field
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Ansgar Burchardt <ansgar@debian.org>
    Closes: #641153
  * Policy: Document the Vcs-* fields
    Wording: Charles Plessy <plessy@debian.org>
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #654958
  * Policy: Document restrictions on the use of /run for wheezy
    Wording: Roger Leigh <rleigh@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #676561
  * Policy: Rewrite shared library dependency policy to document symbols
    Wording: Russ Allbery <rra@debian.org>
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #571776
  * Policy: Document generic and upstart-specific init system requirements
    Wording: Steve Langasek <steve.langasek@canonical.com>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Adam D. Barratt <adam@adam-barratt.org.uk>
    Closes: #591791
  * Policy: Rely on triggers instead of calling update-mime
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #661816

 -- Russ Allbery <rra@debian.org>  Tue, 18 Sep 2012 21:35:36 -0700

debian-policy (3.9.3.1) unstable; urgency=low

  * Fix cross-reference to control field syntax in Policy 5.4 (source
    package control files).  Thanks, Jakub Wilk.  (Closes: #661412)
  * Additional wording improvements to copyright-format 1.0 for clarity.
    Also mention that the Files pattern syntax is the same as fnmatch(3)
    and GNU find -path without [] patterns.  Thanks, Jonathan Nieder and
    Ben Finney.
  * Suggest checkbashisms from devscripts or the posh shell for checking
    whether /bin/sh scripts are Policy-compliant rather than recommending
    dash.  Thanks, Raphael Geissert.  (Closes: #490604)
  * Remove the ambiguous word "installed" when requiring that the location
    of files and directories follow the FHS.  (Closes: #638060)
  * Clarify the syntax of field names to make it clear that they may not
    contain spaces.  Thanks, Charles Plessy.  (Closes: #647645)
  * Clarify that only one of build-arch or build-indep may be provided
    (currently, at least) and that build should depend on whichever exist
    or perform the equivalent actions.  Thanks to Jonathan Nieder for some
    of the wording.  (Closes: #601839)
  * Clearly state that "yes" is the only valid value of DM-Upload-Allowed
    and rewrite its description to be less indirect.  (Closes: #622263)
  * Update the dpkg-buildpackage -r documentation in the appendix to
    reflect the current behavior of using fakeroot.  Wording from Sam
    Morris.  (Closes: #658009)
  * Fix the legal notice in copyright-format to not refer to a nonexistent
    copyright notice.
  * Embed the Debian Policy version and build date in the debconf
    specification and the copyright-format document.  We'll make
    non-normative changes without updating other version numbers, and it's
    good to know which version one is looking at.
  * Fix some whitespace issues in the debconf specification articleinfo.
  * Install the HTML version of upgrading-checklist in the policy.html
    directory as upgrading-checklist.html so that it can be deployed on
    www.debian.org in a way that will allow links to Policy sections to
    work easily.  Thanks, Charles Plessy.  (Partly addresses #639663)
  * Ship the copyright-format source as copyright-format.xml.tar.gz
    without a version, since it will include all of the versions, not just
    the current version.
  * Fix mistaken word choice (prefix instead of suffix) in the upgrading
    checklist entry for 3.9.3.0.
  * Add some missing entries to the virtual package names list changelog.
  * Expand package long description to include all documents.
  * Remove unused substitution variable generated by the build.  Thanks,
    Charles Plessy.
  * Strip down and reformat debian/rules to remove unused variables,
    references to old files no longer included, use a more standard
    layout and standardize variable names, and add comments for better
    maintainability.
  * Convert debian/copyright to copyright-format 1.0, and in the process
    add the license information for the documents other than Policy itself
    and the FHS.  Note the implication of the GPL source code requirement
    for distributing generated versions of the Policy documents.

 -- Russ Allbery <rra@debian.org>  Sun, 04 Mar 2012 15:02:12 -0800

debian-policy (3.9.3.0) unstable; urgency=low

  [ Russ Allbery ]
  * Update the copyright format document to the version of DEP-5 from the
    DEP web site and apply additional changes from subsequent discussion
    in debian-devel and debian-project.  Revise for clarity, to add more
    examples, and to update the GFDL license versions.  Thanks, Steve
    Langasek, Charles Plessy, Justin B Rye, and Jonathan Nieder.
    (Closes: #658209, #648387)
  * Publish the copyright format specification as copyright-format-1.0 so
    that later versions can be added without removing previous versions of
    the standard.  Patch from Charles Plessy.  (Closes: #646119)
  * Policy: Improve Architecture field in source package
    Wording: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #626779
  * Policy: Initial Debian maintainers need not be listed in copyright
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Closes: #593533
  * Policy: Document cron job file naming restrictions
    Wording: Karl E. Jorgensen <karl@jorgensen.org.uk>
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Dominic Hargreaves <dom@earth.li>
    Seconded: Javier Fernández-Sanguino Peña <jfs@computer.org>
    Closes: #609162
  * Policy: Document issues with conflicting packages sharing a conffile
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #23712
  * Policy: Add /run FHS exception, clarify rules for /run and /var/run
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Steve Langasek <vorlon@debian.org>
    Seconded: Roger Leigh <rleigh@codelibre.net>
    Closes: #620870, #532120
  * Policy: Architecture restrictions in a dependency must be non-empty
    Wording: Stefano Zacchiroli <zack@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Colin Watson <cjwatson@debian.org>
    Closes: #498300
  * MIME Policy: Retire this document and merge it with Policy
    Wording: Ben Finney <ben+debian@benfinney.id.au>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Closes: #89038
  * Consistently use "Debian source control file" for *.dsc files and
    "Source package control file" for debian/control files.  Patch from
    Charles Plessy.  (Closes: #626796)
  * Clarify that continuation lines of the Description control field must
    contain at least one non-whitespace character.  Thanks, Guillem Jover.
    (Closes: #627490)
  * Fix the example of creating a /usr/local subdirectory to not fail if
    the chown or chmod fail.  Thanks, Joey Hess.  (Closes: #617315)
  * Clarify the requirements for symlinks from inside one top-level
    directory to another and add examples and a rationale.  Thanks,
    Carsten Hey.  (Closes: #626338)
  * Clarify that Perl Policy 2.4 is for packages built from the perl
    source package and the manual page extensions are different for
    separate module packages.  Thanks, Steve Langasek.  (Closes: #643690)
  * Say that packages in main may also not recommend packages in non-free,
    bringing the main text in line with the list of fields and in line
    with the long-standing release goal.  (Closes: #646166)
  * Resynchronize the archive section list with ftp-master, adding
    education, introspection, and metapackages.  Patch from Charles
    Plessy.  (Closes: #651020)
  * Clarify that packages in main may not declare Pre-Depends or
    Build-Depends-Indep relationships outside of main either.  Partly
    addresses #587279.
  * Fix typo in the version numbers in the dpkg-divert examples.  Thanks,
    Slavko.
  * Add the release date of 3.9.2.0 to upgrading-checklist.
  * Fix ordering of the last entries in the 3.9.2.0 upgrading-checklist.
  * Fix typo in upgrading-checklist entry for multiarch paths.  Thanks,
    Michael Dorrington.  (Closes: #626408)
  * Add id tags for each version entry in upgrading-checklist so that,
    when eventually published somewhere, other Debian web sites can link
    to specific entries.  Patch from Charles Plessy.
  * Add AGPL-3 to tools/license-count.
  * Update tools/license-count to work with the new Lintian lab layout.
  * Add build-arch and build-indep targets to debian/rules.

  [ Bill Allombert ]
  * Policy: Link relationship fields (7.1) to architecture specification
    strings (11.1).
    Patch from Charles Plessy in #628174.
  * Policy: Retire legacy Motif policy (11.8.8)
    Proposed by: Justin B Rye
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Seconded: Steve Langasek <vorlon@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #621479
  * copyright-format: Fix URL for the Eiffel Forum License.
    Reported by Thomas Preud'homme, patch by Charles Plessy.
    Closes: #623050
  * copyright-format: Update SPDX link to point to the SPDX license registry.
    Patch by Charles Plessy.  Closes: #628540
  * copyright-format: Correct or add links to SPDX.
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Gregor Herrmann <gregoa@debian.org>
    Closes: #641071
  * Policy: Clarify that 'machine-extractable' referer the copyright
    files (12.5)
    Wording:  Charles Plessy <plessy@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Closes: #617516
  * copyright-format: remove drivers from abstract and useless appendix
    Wording: Lars Wirzenius <liw@liw.fi>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Closes: #640735
  * copyright-format: Fix syntax of examples.
    Proposed by: Charles Plessy <plessy@debian.org>
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Closes: #649674
  * copyright-format: Clarify specification of multiple license exception:
    Wording: Steve Langasek <vorlon@debian.org>
    Seconded: Craig Small <csmall@debian.org>
    Seconded: Gregor Herrmann <gregoa@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Seconded: Jonas Smedegaard <dr@jones.dk>
    Closes: #633797
  * copyright-format: Specify URL on www.debian.org
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: David Prévot <taffit@debian.org>
    Seconded: Gregor Herrmann <gregoa@debian.org>
    Closes: #640737
  * Perl policy: Document major version upgrade trigger
    Wording: Dominic Hargreaves <dom@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Niko Tyni <ntyni@debian.org>
    Seconded: Gregor Herrmann <gregoa@debian.org>
    Closes: #619275
  * Virtual: change ttf-japanese-{mincho, gothic} to
    fonts-japanese-{mincho, gothic}.
    Proposed by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Closes: #644230
  * Virtual: Retire java-compiler, java2-compiler, and java-virtual-machine.
    Proposed by: Niels Thykier <niels@thykier.net>
    Seconded: tony mancill <tmancill@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Closes: #578421
  * Policy 9.10: No more recommend to call install-docs for doc-base.
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Robert Luberda <robert@debian.org>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Closes: #637614

 -- Russ Allbery <rra@debian.org>  Wed, 22 Feb 2012 19:40:36 -0800

debian-policy (3.9.2.0) unstable; urgency=low

  * Policy: Require human Maintainer or Uploader, clarify Maintainer
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #459868, #581011
  * Policy: Add an FHS exception on GNU/Hurd for /hurd and /servers
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #594658
  * Policy: Document DM-Upload-Allowed
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #588014
  * Policy: Update multiarch FHS exception for i386 naming
    Wording: Steve Langasek <vorlon@debian.org>
    Seconded: Aurelien Jarno <aurelien@aurel32.net>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Closes: #619186
  * Policy: Significant additions to maintainer script documentation
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Steve Langasek <vorlon@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #504880
  * Policy: Clarify format of Debian control fields
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #501930, #593909
  * Virtual: Added mailx as a new virtual package
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Giacomo A. Catenazzi <cate@debian.org>
    Closes: #488214
  * Be more verbose in defining the build architecture and the host
    architecture and consistently refer to architecture rather than
    machine.  (Closes: #591857)
  * Correct the name of the Filesystem Hierarchy Standard in the package
    description.  Patch from Christoph Anton Mitterer.  (Closes: #590696)
  * Use the word "implemented" to describe required targets in
    debian/rules, which is clearer about allowing wildcard rules.  List
    the required rules in their own paragraph rather than with the
    paragraph discussing non-interactivity, and explicitly mark all rules
    as either required or optional.  (Closes: #536790)
  * Update the ldconfig footnote listing the /etc/ld.so.conf directories
    to remove the libc5 compatibility directories and mention the
    multiarch triplet directories.  Based on a patch by Charles Plessy.
    (Closes: #597074)
  * Add introductory paragraphs for each archive area explaining briefly
    the purpose of that archive area.  Based on a proposal by CJ
    Fearnley.  (Closes: #594542)
  * Change all non-historical references to Debian GNU/Linux to simply
    Debian since Debian now includes FreeBSD-based architectures.  Patch
    from Guillem Jover.  (Closes: #594656)
  * Remove references to the obsolete debmake package.
  * Update the list of Policy maintainers.
  * Wrap Uploaders in debian/control.
  * Move Build-Depends-Indep to Build-Depends (there's no reason to use
    -Indep in a package that builds only architecture-independent binary
    packages), wrap it, and remove version restrictions that are older
    than the version in oldstable.
  * Add emacs23 to the build dependencies and remove the files generated
    from org source from the revision control repository.  Build and clean
    files from org source unconditionally.  Add Process.{txt,html} to the
    list of files generated from org source.  (Closes: #594274)
  * Fix URLs under www.freedesktop.org to avoid permanent redirects.
    Thanks, David Prévot.  (Closes: #606869)
  * Add a cross-reference to the Pre-Depends requirement in 3.5 to section
    7.2 where Pre-Depends is defined.  Thanks, Mattias Ellert and Jonathan
    Nieder.  (Closes: #599944)
  * Include the new (optional) copyright format that was drafted as DEP-5.
    This is not yet a final version; that's expected to come in the
    3.9.3.0 release.  Thanks to all the DEP-5 contributors and to Lars
    Wirzenius and Charles Plessy for the integration into the Policy
    package.  (Closes: #609160)

 -- Russ Allbery <rra@debian.org>  Wed, 06 Apr 2011 22:48:55 -0700

debian-policy (3.9.1.0) unstable; urgency=low

  * Policy: Include GPL version 1 in common-licenses
    Wording: Russ Allbery <rra@debian.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Seconded: Damyan Ivanov <dmn@debian.org>
    Seconded: Giacomo A. Catenazzi <cate@debian.org>
    Closes: #436105
  * Policy: Libtool *.la files should generally not be installed
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
    Closes: #561413
  * Policy: Require dpkg-divert --package when adding/removing diversions
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Raphael Geissert <geissert@debian.org>
    Closes: #218897
  * Policy: Remove encouragement to create shlibs.local
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
  * Policy: Document alternate SONAME format with version before .so
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #509932
  * Policy: Architecture wildcards also allowed in binary relationships
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #400322
  * Policy: Say Conflicts should not be used unless necessary
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Closes: #402721
  * Policy: Remove obsolete _REENTRANT, require thread-safe libraries
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Seconded: Giacomo A. Catenazzi <cate@debian.org>
    Closes: #475101
  * Policy: Allow subdirectories of /usr/lib/cgi-bin to be used
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #104373
  * Policy: More specific requirements around date-based versions
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
    Seconded: Steve Langasek <vorlon@debian.org>
    Closes: #186102
  * Policy: Require slave alternatives for manual pages
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Closes: #184064
  * Policy: More explicit requirements around library SONAMEs
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu27@gmail.com>
    Closes: #509933
  * Policy: Only dpkg-gencontrol supports variable substitutions
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #589609
  * Policy: Ada Library Information files must be read-only
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Seconded: Ludovic Brenta <ludovic@ludovic-brenta.org>
    Closes: #232448
  * Policy: Recommend /etc/logrotate.d/package for logrotate rules
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Thijs Kinkhorst <thijs@debian.org>
    Closes: #445203
  * Policy: Allow /bin/sh scripts to rely on XSI for kill and trap
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Giacomo A. Catenazzi <cate@debian.org>
    Seconded: Raphael Geissert <geissert@debian.org>
    Closes: #477240
  * Policy: Ownership and permissions for control information files
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #555977
  * Set the version of the Perl Policy to match the version of the Policy
    package.
  * Explain the Perl module package naming policy more explicitly and
    provide some examples.  (Closes: #175202)
  * Revise the footnote discussing shlibs creation to not talk about the
    switch to objdump as if it were a new innovation and to explicitly
    mention the NEEDED attribute as the source of dependency information.
  * Introduce "control information file" to refer to the contents of the
    Debian package control.tar.gz, following the dpkg documentation.  Use
    that terminology consistently, and change possibly confusing
    references to fields in control files to use "control field"
    uniformly.
  * Document that the first line of the changelog entry is conventionally
    an explanation for the upload if the uploader is not the regular
    maintainer.  Patch from Charles Plessy.  (Closes: #589605)
  * Fix typo in upgrading-checklist.  (Closes: #588750)
  * Fix formatting error in footnote to 7.7.  (Closes: #589362)
  * Remove ancient Conflicts and Replaces.

 -- Russ Allbery <rra@debian.org>  Sun, 25 Jul 2010 19:38:21 -0700

debian-policy (3.9.0.0) unstable; urgency=low

  [ Colin Watson ]
  * Fix path to changelog.Debian.gz in footnote on documentation symlinks.

  [ Bill Allombert ]
  * Convert upgrading-checklist to debiandoc-sgml. This generates a better
    looking .txt file.
    Closes: #567845
  * Fix typo in package_upstream-version.orig.tar.gz.
    Thanks, Salvatore Bonaccorso. (Closes: #558430)
  * Replace 'copyright and distribution license' by 'copyright information
    and distribution license' (three times).
    Proposed by Jonathan Nieder.
    Seconded:  Steve Langasek  <vorlon@debian.org>
    Seconded:  Thijs Kinkhorst <thijs@debian.org>
    Seconded:  Julien Cristau  <jcristau@debian.org>
    Seconded:  Gregor Herrmann <gregoa@debian.org>
    Closes: #566220
  * extend UID range of user accounts by removing the 30000-59999 reserved 
    ranges.
    Proposed by Santiago Vila  
    Seconded:  Russ Allbery    <rra@debian.org>
    Seconded:  Luk Claes       <luk@debian.org>
    Seconded:  Raphael Hertzog <hertzog@debian.org>
    Seconded:  Steve Langasek  <vorlon@debian.org>
    Closes: #582495

  [ Russ Allbery ]
  * Policy: Overhaul Breaks, Conflicts, Provides, and Replaces
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Steve Langasek <vorlon@debian.org>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Closes: #578854
  * Policy: Support for architecture wildcards
    Wording: Manoj Srivastava <srivasta@debian.org>
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Seconded: Steve Langasek <vorlon@debian.org>
    Closes: #530687
  * Policy: Except init.d scripts from the normal set -e requirement
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #562506
  * Policy: Maintainer scripts might not have a controlling terminal
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Seconded: Steve Langasek <vorlon@debian.org>
    Closes: #224509
  * Policy: Fully specify the date format for changelog entries
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Seconded: Giacomo A. Catenazzi <cate@debian.org>
    Closes: #569174
  * Policy: Deprecate /usr/share/common-licenses/BSD
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Closes: #284340
  * Policy: Document Checksums-Sha1 and Checksums-Sha256
    Wording: Russ Allbery <rra@stanford.edu>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Closes: #478295
  * Policy: Prohibit duplicate field names in a control paragraph
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Steve Langasek <vorlon@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Closes: #555978
  * Policy: Relax requirement that library dev files be in one package
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Closes: #347581
  * Policy: Tighten requirements for maintainer-like fields
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Closes: #575639
  * Policy: Update Format control field documentation
    Wording: Russ Allbery <rra@debian.org>
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu27@gmail.com>
    Closes: #547272
  * Debconf: Add SETTITLE, like title but uses a template
    Wording: Frans Pop <elendil@planet.nl>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Ben Pfaff <blp@cs.stanford.edu>
    Closes: #560411
  * Perl Policy: Change perlapi provides to use an ABI version
    Wording: Niko Tyni <ntyni@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Brendan O'Dea <bod@debian.org>
    Seconded: Damyan Ivanov <dmn@debian.org>
    Closes: #579457
  * Perl Policy: Recommend DESTDIR instead of PREFIX with Makefile.PL
    Wording: Niko Tyni <ntyni@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Closes: #579461
  * Standardize dpkg state wording and bring it in line with dpkg,
    renaming Failed-Config to Half-Configured and use uniform
    capitalization and punctuation.  (Closes: #442134)
  * Remove documentation of alternative changelog formats.  This feature
    is not allowed in the Debian archive and will be documented in the
    dpkg-dev documentation instead.  The documentation that was in Policy
    was also somewhat outdated.  (Closes: #555009, see #584141)
  * Remove obsolete footnote sentence saying that dpkg-statoverride is a
    new feature and not well-known.  (Closes: #563425)
  * Clarify in the Perl Policy that perl-base is essential, not perl, and
    don't imply packages need to depend on perl-base.  (Closes: #576594)
  * Document the special debian-installer section in the list of current
    sections and add a link to the list of sections in unstable, which
    contains longer descriptions.  (Closes: #577666)
  * Remove the footnote listing every architecture known to dpkg.  This
    list can be trivially produced by dpkg-architecture -L (already
    noted), is very long, and quickly becomes out-of-date.
  * Move silly version ordering example to a footnote.  (Closes: #560839)
  * Reletter the process steps to not skip State C and use more
    traditional foreground and background colors for Process.html and
    README.html.  (Closes: #584521)
  * Fix typo in footnote about help2man.  (Closes: #584796)
  * Add an example for Replaces when a package is split.  Thanks, Uwe
    Kleine-König.  (Closes: #572253)
  * Explicitly state that packages may remove unmodified, obsolete
    configuration files during  upgrade.  (Closes: #470633)
  * Clarify the wording around which build dependencies must be satisfied
    for different debian/rules targets and add a footnote to the
    description of the build-arch and build-indep targets explaining why
    this split does not currently work as desired.  (Closes: #328951)
  * Avoid "Debianised" or "Debianized" in favor of just "Debian" or
    "Debian package" as appropriate.  Patch from Ben Finney.
    (Closes: #586163)
  * Switch to source format 3.0 (native).

 -- Russ Allbery <rra@debian.org>  Sun, 27 Jun 2010 21:40:52 -0700

debian-policy (3.8.4.0) unstable; urgency=low

  [ Bill Allombert ]
  * Also provide documents in single-file HTML format.
    Proposed by Jari Aalto.
    Closes: #544353
  * Number the DFSG points like in the social_contract document.
    Proposed by Enrico Zini.
    Closes: #550192

  [ Manoj Srivastava ]
  * [b270d2d]: Typo fix: relayed -> related. Thanks to Matt Kraai for
    pointing this out.
  * [c74ac74]: 
    Policy: Grant an FHS exception for the multiarch library directories
    Wording: Steve Langasek.
    Seconded: Aurelien Jarno
    Seconded: Julien Cristau
    Seconded: Kurt Roeckx
    Closes: #542865
  * [7ac3ee6]: 
    virtual package list: Added Doom virtual packages
    Wording: Manoj Srivastava
    Seconded: Russ Allbery 
    Seconded: Giacomo A. Catenazzi
    Closes: #518199
  * [8fd91a0]
    README Process upgrading-checklist: Created/converted to org-mode
    Wording: Manoj Srivastava
    Seconded: Russ Allbery 
    Closes: #545548
  * [4da0692]: [typo-fixes]: 
    policy: Fix a number of grammatical or typographical errors
    wording: Eric Dantan Rzewnicki
    Seconded: Manoj Srivastava
  * [112c4bc]: FHS Exceptions
    policy: Explicitly allow /selinux and /sys as FHS exceptions
    Wording: Manoj Srivastava
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Kurt Roeckx  <kurt@roeckx.be>
    Closes: #556972
    This patch explicitly allows /sys and /selinux as additional
    directories in the root file system allowed under the policy.
  * [16afbcb]: Clarify ./debian/rules #! line
    policy: Clarify rule for debian/rules shebang line
    Wording: Ben Finney <ben+debian@benfinney.id.au>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Explicitly state that  "make -f debian/rules" and "./debian/rules"
    must behave  identically, to prevent confusion, and to promote
    reproducibility, and conform to the principle of least surprise.
  * [dab93b2]: Add a cron-daemon virtual package
    policy, virtual package list: New virtual package: cron-daemon
    wording: Javier Fernández-Sanguino Peña, Manoj Srivastava
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Kurt Roeckx  <kurt@roeckx.be>
    Closes: #391836
    Create a virtual cron daemon package that:
     - Has to provide /usr/bin/crontab and support crontab entries
     - Correct execution of /etc/cron.d
     - Correct support of /etc/crontab
     - Support of crontab entries with names for days and months,
       ranges, step values
     - Correct execution of /etc/cron.{hourly,daily,weekly,monthly}
    
  [ Russ Allbery ]
  * Policy: Clarify policy on named pipes in packages
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
  * Change the sole occurrence of MUST to must for consistency and to
    avoid confusion with IETF RFC keywords.  Thanks, Jakub Wilk.
    (Closes: #552757)

 -- Bill Allombert <ballombe@debian.org>  Wed, 27 Jan 2010 19:22:43 +0100

debian-policy (3.8.3.0) unstable; urgency=low

  * Policy: Bring Architecture description in line with dpkg-source
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Closes: #530967
  * Policy: Update information about DEB_*_ARCH variables
    Wording: Guillem Jover <guillem@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Closes: #527871
  * Policy: Remove support for uploads to multiple distributions
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Closes: #514919
  * Policy: Remove permission for packages to modify ld.so.conf
    Wording: Steve Langasek <vorlon@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Seconded: Adeodato Simó <dato@net.com.org.es>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #519941
  * Policy: Clarify X installation directory handling
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #522217
  * Policy: Localized man pages should be up-to-date or warn
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #493007
  * Policy: Remove restriction on manual page character encoding
    Wording: Colin Watson <cjwatson@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Manoj Srivastava <srivasta@golden-gryphon.com>
    Closes: #537707
  * Policy: Allow Binary field to span multiple lines
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #533852
  * Policy: Revise info requirements for triggerized install-info
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #538665
  * Perl Policy: Remove obsolete dependency requirements
    Wording: Cyril Brulebois <kibi@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Closes: #525190
  * Breaks is now supported by the stable release of dpkg, so drop
    warnings against its use.  Thanks, Steve Langasek.  (Closes: #533577)
  * Add references to the sections on Breaks and Conflicts to the section
    on binary dependencies.  Thanks, Frank Küster.  (Closes: #529771)
  * Clarify the units of Installed-Size and document that it is an
    approximation.  Thanks, Martin Dorey.  (Closes: #534408)
  * Don't suggest calling dpkg-statoverride --remove unconditionally in
    the postrm script.  Thanks, Patrick Schoenfeld.  (Closes: #539389)
  * Explain that the copyright dates are for the original Policy manual
    and that there is no updated list of copyright holders for subsequent
    revisions available.  (Partly addresses #47438)
  * Clarify the description of the Files control field and add examples.
  * Change the wording of the Description and Changes field specifications
    for *.changes files to more closely match the wording for Files and
    add more details about the contents of the Description field in
    a *.changes file.
  * Merge the package name syntax requirements between the Package and
    Source field descriptions.
  * Say that sensible-editor and sensible-pager are provided by the
    sensible-utils package, not by the base system.  Thanks, Clint Adams
    and Steve Langasek.  (Closes: #541537)
  * Document that control field values are case-sensitive unless the field
    description says otherwise.

 -- Russ Allbery <rra@debian.org>  Sat, 15 Aug 2009 17:13:26 -0700

debian-policy (3.8.2.0) unstable; urgency=low

  [ Russ Allbery ]
  * Policy: Mandate debconf or equivalent for user prompting
    Wording: Andrew McMillan <awm@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #206684
  * Policy: Remove /etc/X11/XF86Config-4 FHS exception
    Wording: Julien Cristau <jcristau@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
    Closes: #522219
  * Policy: Remove obsolete /var/mail transition requirement
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Closes: #522364
  * Policy: Move Speedo fonts into the deprecated category
    Wording: Julien Cristau <jcristau@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Julien Danjou <acid@debian.org>
    Closes: #522218
  * Housekeeping (resynchronizing lists maintained elsewhere):
    - Add GFDL 1.3 to the common-licenses list.
    - Update the list of archive sections.  (Closes: #519835)
  * Set the release date of the 3.8.1 upgrading-checklist entry.
    (Closes: #519706)

  [ Colin Watson ]
  * The FHS is the "Filesystem Hierarchy Standard", regardless of our
    preferred spelling of "file system" elsewhere. Fix this and a nearby
    search-and-replace capitalisation bug.
  * Build-depend on texlive-latex-extra, which is needed by
    debiandoc2latexps and isn't included in texlive's dependencies.
    Closes: #533257
  * Policy: State requirements for source package names
    Wording: Colin Watson <cjwatson@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #525151
  * Add myself to Uploaders.

  [ Bill Allombert ]
  * Add myself to Uploaders.
  * Update Standards-Version to 3.8.1 (no changes required).
  * debian/rules: 
    - use `dpkg --print-architecture' instead of obsolete form 
      `dpkg --print-installation-architecture'.
    - fix a race condition while generating DEBIAN/md5sums.

 -- Bill Allombert <ballombe@debian.org>  Tue, 16 Jun 2009 21:42:53 +0200

debian-policy (3.8.1.0) unstable; urgency=low

  * Policy: Clarify what "sensible behavior" is for init scripts
    Wording: Steve Langasek <vorlon@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #426877
  * Policy: Remove alternative changelog formats from main manual
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Ben Pfaff <blp@cs.stanford.edu>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #489460
  * Policy: Mandate UTF-8 for changelog files
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Closes: #241333
  * Policy: Mandate UTF-8 for control files
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #143941
  * Policy: New option in DEB_BUILD_OPTIONS to avoid running test-suites
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #416450
  * Policy: Expand expected capabilities for local in /bin/sh scripts
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #473019
  * Policy: Clarify Essential definition and caution when adding to it
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Jörg Sommer <joerg@alea.gnuu.de>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #479080
  * Policy: Allow user mail spools to be mode 0600 or 0660
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Seconded: Andrew McMillan <awm@debian.org>
    Closes: #470994
  * Policy: Remove special handling of init scripts ending in .sh
    Wording: Kel Modderman <kel@otaku42.de>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Henrique de Moraes Holschuh <hmh@debian.org>
    Closes: #513955
  * Policy: /var/run and /var/lock may be volatile
    Wording: Colin Watson <cjwatson@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
    Closes: #514326
  * Policy: debian/control allows comments starting with #
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Adeodato Simó <dato@net.com.org.es>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #446712
  * Improve the documentation of maintainer script actions for diversions
    in the informative appendix to allow for addition of a new diversion
    on upgrade and handle error cases correctly.  Thanks to Olivier Berger
    for the report and Raphaël Hertzog for the review.  (Closes: #483418)
  * Clarify the meaning of architecture restrictions on build dependencies
    in the presence of alternatives.  Thanks to Guillem Jover for the
    explanation and review and Emilio Pozuelo Monfort and Don Armstrong
    for wording review.  (Closes: #163666)
  * Change the term "category" to "archive area" when referring to main,
    contrib, and non-free.  This is closer to the wording of the Social
    Contract.  (Closes: #473439)
  * Use <user>:<group> notation rather than <user>.<group> notation in
    multiple places.  Thanks, Kurt Roeckx.  (Closes: #488039)
  * Fix typo in 3.8.0.0 upgrading-checklist entry.  Patch from Kobayashi
    Noritada.  (Closes: #487701)
  * Mention debugging packages as an explicit example of packages with
    extra priority.  Thanks, Charles Plessy.  (Closes: #491985)
  * Clarify that translation is only required for user-visible debconf
    messages.  Capitalize "Debian Configuration Management Specification"
    uniformly.  Thanks, Julian Andres Klode.  (Closes: #492624)
  * Add --wildcards to the sample tar command in appendix B.1 for
    extracting the package copyright file, adjusting for new tar option
    behavior.  Thanks, Yan Morin.  (Closes: #503685)
  * Reword the requirement that maintainer scripts exit with a zero
    status on success to avoid double-negatives.
  * Include the full name of each menu category rather than only the
    portion relative to the parent heading to be clearer in long category
    lists.  Thanks, Christoph Berg.  (Closes: #511804)
  * Build-Depend on texlive rather than tetex-extra.  texlive appears to
    be sufficient for how Policy uses debiandoc-sgml and pulls in far
    fewer packages.
  * Remove the postinst and prerm scripts.  doc-base registration is now
    handled by triggers and no longer required and removal of /usr/doc
    links was completed long ago.
  * Reference GPL-2 rather than the GPL symlink in debian/copyright.

 -- Russ Allbery <rra@debian.org>  Wed, 11 Mar 2009 20:50:52 -0700

debian-policy (3.8.0.1) unstable; urgency=low

  * Don't attempt to register the non-existent debian-policy-process
    document.  Thanks, Adrian von Bidder.  (Closes: #484706)

 -- Russ Allbery <rra@debian.org>  Thu, 05 Jun 2008 13:13:01 -0700

debian-policy (3.8.0.0) unstable; urgency=low

  * Bug fix: "[PROPOSAL] "debian/README.source" file for packages with
    non-trivial source", thanks to Wouter Verhelst, Jörg Sommer, Colin Watson,
    and Junichi Uekawa                                       (Closes: #250202).
  * Bug fix: "[AMENDMENT 11/02/2008] Manual page encoding", thanks to
    Colin Watson                                             (Closes: #440420).
  * Bug fix: "[PROPOSAL] common interface for parallel building in
    DEB_BUILD_OPTIONS", thanks to Loïc Minier, Peter Samuelson, and Robert
    Millan                                                   (Closes: #209008).
  * Bug fix: "Please clarify splitting/syntax of DEB_BUILD_OPTIONS", thanks to
    Loïc Minier, Peter Samuelson, Robert Millan, and Guillem Jover
                                                             (Closes: #430649).
  * Bug fix: "Documentation for Breaks in dpkg", thanks to Ian Jackson
                                                             (Closes: #379150).
  * Bug fix: "support for wrapped Uploaders should now be mandatory"
                                                             (Closes: #431813).
  * Bug fix: "[PROPOSAL] Add should not embed code from other packages",
    thanks to Neil McGovern, Colin Watson, Bill Allombert, Steve Langasek,
    Kurt Roeckx, and others                                  (Closes: #392362).
  * Bug fix: "Homepage field in debian/control undocumented", thanks to
    Mario Iseli                                              (Closes: #452105).
  * Bug fix: "Policy inconsistent with reality: base subsection no longer
    used", thanks to Magnus Holmgren, Bernd Zeimetz, and Colin Watson
                                                             (Closes: #442070).
  * Bug fix: "Inclusion of Apache Software License versions in
    /usr/share/common-licenses", thanks to Barry Hawkins     (Closes: #291460).
  * Bug fix: "[Amended] copyright should include notice if a package is
    not a part of Debian distribution", thanks to Taketoshi Sano
                                                             (Closes: #65577).
  * Bug fix: "scripts as configuration files: should vs. must", thanks to Frank
    Küster                                                   (Closes: #403391).
  * Bug fix: "debconf specification should allow underscores in template
    names", thanks to Colin Watson                           (Closes: #473761).
  * Bug fix: "clarify handling of run-time and compile-time support programs",
    thanks to Goswin Brederlow and Raphael Hertzog           (Closes: #367984).
  * Policy: better document version ranking and empty Debian revisions
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #186700, #458910
  * Policy: remove obsolete app-defaults and Xresources provisions
    Wording: Julien Cristau <jcristau@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #480551
  * Bug fix: "Examples of dpkg frontends should mention apt now", thanks
    to Josh Triplett                                         (Closes: #455602).
  * Bug fix: "Minor typos and wording suggestions", thanks to Michael
    Tautschnig                                               (Closes: #422552).
  * Bug fix: "substvar reference moved from dpkg-source(1) to
    deb-substvars(5)", thanks to Ian Beckwith                (Closes: #475731).
  * Policy: bugs fixed in NMUs are now closed rather than marked fixed
    Wording: Russ Allbery <rra@debian.org> (thanks, Sandro Tosi)
    Closes: #481640
  * Policy: C.1.4, C.1.8: minor typos
    Wording: Sandro Tosi <matrixhasu@gmail.com>
    Closes: #481954
  * Remove the now-obsolete policy-process document.
  * Add an md5sums control file.
  * Add Vcs-Browser and Vcs-Git control fields.
  * Remove build system support for FHS 2.1 and FSSTND, mostly commented out.
  * Remove more temporary files created by the build.
  * Remove the FSSTND license from debian/copyright; no FSSTND files are
    currently part of policy.
  * Update FHS copyright dates in debian/copyright.
  * Standardize the spacing around headings in upgrading-checklist.html.
  * Remove old ChangeLog files and metadata headers in maintainer scripts
    and debian/rules.

 -- Russ Allbery <rra@debian.org>  Wed, 04 Jun 2008 15:53:27 -0700

debian-policy (3.7.3.0) unstable; urgency=low

  * Bug fix: "FTBFS if built twice in a row"                 (Closes: #424212).
  * Bug fix: "[PROPOSAL] Document ~ behavior in version numbers", thanks
    to Nicolas François and Marc Brockschmidt                (Closes: #382612).
  * Bug fix: "Please add 'local' to list of supra-POSIX features that
    /bin/sh can be expected to offer". Also add test -a/-o binary logical
    operators and change references from POSIX to SUSv3      (Closes: #294962).
  * Bug fix: "[Proposal] new Debian menu structure", thanks to Bill
    Allombert                                                (Closes: #361418).
  * Bug fix: "typo: "must not be not world-writable"", thanks to Sam
    Hocevar                                                  (Closes: #392594).
  * Bug fix: "debian-policy: recommend binary:Version substvar instead",
    thanks to Guillem Jover                                  (Closes: #418444).
  * Bug fix: "New virtual package: dictd-dictionary", thanks to Tatsuya
    Kinoshita                                                (Closes: #413575).
  * The virtual package in use is inet-superserver, not inetd-superserver.
    Adjust the virtual package list to match.  Thanks, Tatsuya Kinoshita
    and Marco d'Itri.
  * Wrapped, cleaned up trailing whitespace, and alphabetized the list of
    virtual packages.
  * Bug fix: "Small spelling errors and erratic sentences in debian-policy",
    thanks to Michiel de Boer.                               (Closes: #435207).
  * Bug fix: "Source field of .changes files may contain a version number"
                                                             (Closes: #431813).
  * Bug fix: "822-date is deprecated (use date -R instead)"  (Closes: #448035).
  * Bug fix: "5.6.17 (Urgency) should list emergency, maybe a normative
    list?"                                                   (Closes: #412634).
  * Bug fix: "[PROPOSAL] Document support of package types in shlibs
    files", thanks to Franz Pop and Raphaël Hertzog          (Closes: #363133).
  * Bug fix: "Introduce a requirement for internationalisation of debconf
    templates", thanks to Christian Perrier                  (Closes: #402975).
  * Bug fix: "GFDL is now in common-licenses".  Also add the rest of the
    specific license versions and the GPLv3                  (Closes: #420701).
  * Bug fix: "Virtual package for Japanese font packages
    (ttf-japanese-mincho and ttf-japanese-gothic)", thanks to Nobuhiro
    Iwamatsu                                                 (Closes: #440931).
  * Drop unsupported docbook-xml format from the doc-base file for the
    debconf specification.
  * Remove inactive uploaders and add Russ Allbery.
  * Update Standards-Version to 3.7.3 (no changes required).
  
 -- Russ Allbery <rra@debian.org>  Sun, 02 Dec 2007 22:33:55 -0800

debian-policy (3.7.2.2) unstable; urgency=low

  * Bug fix: "clarify 12.3 Additional documentation", thanks to Peter
    Eisentraut                                               (Closes: #367697).
  * Bug fix: "debian-policy: s/dependcy/dependency/", thanks to Justin
    Pryzby                                                   (Closes: #375508).
  * Bug fix: "various spelling mistakes", thanks to Nico Golde
                                                             (Closes: #375728).
  * Bug fix: "debian-policy: typo", thanks to Peter Samuelson
                                                             (Closes: #376104).
  * Bug fix: "debian-policy: [PROPOSAL] maintainer scripts must not be
    world writable", thanks to Kari Pahula                   (Closes: #376438).
  * Bug fix: "policy-process: s/ a a / a /; s/peoples/people's/;
    s/intiated/initiated/; s/participattion the/participation in the/? add
    quotes; s/was a larger/a larger/?", thanks to Justin Pryzby 
                                                             (Closes: #377215).
  * Bug fix: "[PROPOSAL] Include the GFDL in the set shipped in
    /usr/share/common-licenses", thanks to Adeodato Simó. However, it is
    premature to tell packages to use the common licenses file until we
    actually ship the license in /usr/share/common-licenses/ (Closes: #378386).
  * Bug fix: "circular dependencies, improved guarantees", thanks to Ian
    Jackson                                                  (Closes: #379630).
  * Bug fix: "section on invoke-rc.d doesn't make sense", thanks to Peter
    Eisentraut                                               (Closes: #380692).
  * Bug fix: "policy: postinst doesn't document typical abort-remove
    case", thanks to Justin Pryzby. Removed all such comments. This is not
    the place to document such material.                     (Closes: #373212).
  * Bug fix: "use of &quot;invoke-rc.d $PACKAGE stop || exit $?&quot; in
    prerm scripts", thanks to Lars Wirzenius                 (Closes: #370471).
  * Bug fix: "debian-policy: Inconsistent requirements wrt bashisms",
    thanks to Frank Küster                                   (Closes: #367531).
  * Bug fix: "debian-policy: s/with With/with /", thanks to Justin Pryzby
                                                             (Closes: #379974).
  * Bug fix: "debian-policy: "$RET" not "RET"", thanks to Justin Pryzby
                                                             (Closes: #386178).
  * Bug fix: "debian-policy: Spelling error in chapter 9.1.1:
    exceptiions", thanks to Andreas Janssen                  (Closes: #388302).
  * Bug fix: "[PROPOSAL] Document ~ behavior in version numbers", thanks
    to Jakob Bohm                                            (Closes: #382612).
  * Bug fix: "debian-policy: [ACCEPTED] Request for the 'stardict'",
    thanks to Andrew Lee                                     (Closes: #385935).
  * Bug fix: "[ACCEPTED] virtual package 'lzh-archiver' -- an LZH archiver
    package", thanks to Ying-Chun Liu (PaulLiu)              (Closes: #387027).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  2 Oct 2006 17:31:23 -0500

debian-policy (3.7.2.1) unstable; urgency=low

  * Bug fix: "debian-policy: s/control are/&amp;a/; s/stats/status/;
    s/and/an/; s/'/&quot;/; s/rewind/unwind/; s/fact/&amp; that/; s/like
    like/look like/;", thanks to Justin Pryzby                (Closes: #372147).
  * Bug fix: "debian-policy: Minor typo in footnote 53", thanks to Jordà
    Polo                                                      (Closes: #372497).
  * Bug fix: "debian-policy: Typo in 9.1.1: &quot;'..' character&quot;
    should be &quot;'.' character&quot;", thanks to Matt Zagrabelny
                                                              (Closes: #372522).
  * Bug fix: "debian-policy: More typos in upgrading-checklist.txt",
    thanks to Kevin B. McCarty                                (Closes: #366466).
  * Bug fix: "typo: package remains in and &quot;Installed' state", thanks
    to Sam Hocevar \(Debian packages\)                        (Closes: #369413).
  * Bug fix: "debian-policy: Cleanup build-dependencies", thanks to Stefan
    Huehner                                                   (Closes: #366032).
  * Bug fix: "debian-policy: 2.2 should be named 'categories'", thanks to
    Thomas Weber                                              (Closes: #369912).
  * Bug fix: "debian-policy: old postinst abort-upgrade, not new", thanks
    to Justin Pryzby. The fix was thanks to Margarita Manterola 
                                                              (Closes: #372148).
  * Bug fix: "policy: please say which control fields can line-wrap",
    thanks to Peter Samuelson                                 (Closes: #372731).
  * Bug fix: "debian/copyright should be mentioned in source section",
    thanks to Ian Jackson                                     (Closes: #369011).
  * Bug fix: "GNU office not on Temple Place anymore", thanks to Dan
    Jacobson                                                  (Closes: #366889).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Jun 2006 00:18:19 -0500

debian-policy (3.7.2.0) unstable; urgency=low

  * Revert the cgi-lib change. 
  * Bug fix: "Clarification for difference between Build-Depends and
    Build-Depends-Indep (Section 7.6)", thanks to Christoph Berg
    Note that this is not part of policy, just an informative footnote.
                                                             (Closes: #328951).
  * Bug fix: "debian-policy: Typo in policy 5.6.3: semantic meaning",
    thanks to Thijs Kinkhorst                                (Closes: #365907).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  3 May 2006 18:07:19 -0500

debian-policy (3.7.1.0) unstable; urgency=low

  * Bug fix: "[PROPOSAL] 11.9: document handling of directories permission
    when upgrading", thanks to Bill Allombert               (Closes: #136318).
  * Bug fix: "[DISCUSS] documentation of the "-fPIC" constraint", thanks
    to Loïc Minier. Clarified when it may be reasonable to violate the standard
    directive that shared libraries must be compiled with -fPIC, and
    static libraries without, added the protocol to be followed  when
    doing so.                                               (Closes: #329762).
  * Bug fix: "Minor typo in upgrading checklist", thanks to David
    Weinehall                                               (Closes: #364982).
  * Bug fix: "Typo in upgrading-checklist", thanks to David Weinehall
                                                            (Closes: #364983).
  * Bug fix: "typo in debian policy section 10.9.1", thanks to Miguel Gea
    Milvaques                                                (Closes: #365058).
  * Bug fix: "debian-policy: The section 11.8.5 needs some
    clarifications", thanks to Robert Luberda                (Closes: #365356).
  * Bug fix: "11.8.7: X11R7 puts headers in /usr/include/X11", thanks to
    Drew Parsons                                             (Closes: #365510).
  * Bug fix: "debian-policy: typo in policy-process:
    &quot;Guideliens&quot;", thanks to Lars Wirzenius        (Closes: #360518).
  * Bug fix: "debian-policy: repeated word in section 10.4", thanks to
    Russ Allbery                                            (Closes: #364985).
  * Bug fix: "typo in debian-policy", thanks to Miguel Gea Milvaques
                                                            (Closes: #365323).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  3 May 2006 11:17:42 -0500

debian-policy (3.7.0.0) unstable; urgency=low

  * Bug fix: "[PENDING AMENDMENT 20/01/2000] Splitting cgi-bin", thanks to
    Brian White.                                             (Closes: #32263).
  * Bug fix: "debian-policy: [PROPOSAL] Should update to Filesystem
    Hierarchy Standard FHS 2.3", thanks to Tobias Burnus
                                          (Closes: #230217, #212434, #344158).
  * Bug fix: "[AMENDMENT 11/04/2006] Permit multi-line fields in
    debian/control", thanks to John R. Daily. Mention that all fields,
    except the Uploaders, are supposed to be a single logical line, which
    may be spread over multiple physical lines (newline followed by space
    is elided). Also mention that anything parsing the control file must
    allow for a multi-line uploaders field.                (Closes: #148194).
  * Bug fix: "[AMENDMENT 12/04/2004] frown on programs in PATH with
    language extentions", thanks to Joey Hess.             (Closes: #190753).
  * Bug fix: "init script stop example should use --oknodo", thanks to
    Matt Kraai. Removed the example entirely.              (Closes: #346598).
  * Bug fix: "policy 12.5: Please recommend a sane practice WRT different
    gpl versions (was: Re: RFC/RFS: beef - a flexible BrainFuck
    interpreter)", thanks to Justin Pryzby. The subject leaves something
    to be desired, but polic should not attempt to enumerate all common
    licenses.                                               (Closes: #355263).
  * Bug fix: "debian-policy: Conflicting Architecture definitions", thanks
    to Hans Ulrich Niedermann. Punt to dpkg-architecture to providing
    legal architecture strings, since that's what is used by everyone
    anyway.  The version in policy was wrong, but that s=does not seem to
    have hindered anyone, which indicates that this policy directive was
    uneeded. Now the dpkg-architecture list is deemed authoritative, which
    it is, but the format for the string is defined by policy, and the
    current list of architecture strings is in an informative foot note.
                                                           (Closes: #357613).
  * Bug fix: "[AMENDMENT 06/04/2006] Make use of invoke-rc.d, if
    available, mandatory", thanks to Lars Wirzenius.        (Closes: #361137).
  * Bug fix: "no longer current regarding X font paths", thanks to Joey
    Hess                                                    (Closes: #362247).
  * Bug fix: "debian-policy: please prohibit circular dependencies, or
    mention that dependencies won't be respected during prerm remove",
    thanks to Justin Pryzby. Well, we did not prohibit circular
    dependencies. But we do now have a warning that In case of circular
    dependencies, since installation or removal order honoring the
    dependency order can't be established, dependency loops are broken at
    some random point, and some packages may not be able to rely on their
    dependencies being present when being installed or removed, depending
    on which side of the break of the circular dependcy loop they happen
    to be on.                                                (Closes: #362975). 
  * Bug fix: "8.6.4. Providing a `shlibs' file: s/should create/must
    provide/", thanks to Christoph Berg. Clarified the wording.
                                                             (Closes: #341232).
  * Bug fix: "debian-policy: Chapter 6 - Package maintainer scripts:
    redundant info about exit status", thanks to Daniel Bonniot
                                                             (Closes: #349010).
  * Bug fix: "debian-policy: Refers to upgrading-checklist.txt instead of
    upgrading-checklist.txt.gz", thanks to Matt Kraai         (Closes: #349775).
  * Bug fix: "debian-policy: dpkg-gencontrol now uses -isp by default",
    thanks to Guillem Jover                                   (Closes: #359817).
  * Bug fix: "[PROPOSAL] unclear recommendation for debconf w/
    dpkg-statoverride", thanks to Eduard Bloch                (Closes: #199849).
  * debian-policy: please support Watch file as recommendation, thanks to 
     Bluefuture                                               (Closes: #342611).
  * Bug fix: "[PROPOSED] Mandate http servers to provide httpd-cgi as
    relevenat", thanks to Uwe Hermann. This is already supported by the
    http servers out there.                                   (Closes: #117916).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 25 Apr 2006 23:56:16 -0500

debian-policy (3.6.2.2) unstable; urgency=low

  [ Manoj ]
  * Bug fix: "policy is out of date re tasks and tasksel", thanks to Joey
    Hess. Removed the section from policy.                   (Closes: #344310).
  * Bug fix: "debian-policy: Please remove virtual package cron-daemon",
    thanks to Steve Greenland                                (Closes: #257726).
  * Bug fix: "debian-policy: incorrect tar example deb manipulation",
    thanks to Bob Proulx                                     (Closes: #224770).
  * Bug fix: "Probable typo in 10.1 install -s miss INSTALL =", thanks to
    Bill Allombert                                           (Closes: #341992).
  * Bug fix: "debian-policy: postinst abort-remove (6.7) not present in
    summary (6.4)", thanks to Ferenc Wagner                  (Closes: #338493).
  * Bug fix: "UTF-8 footnote is out of date (pre-sarge)", thanks to Martin
    Michlmayr                                                (Closes: #337539).
  * Bug fix: "debian-policy: Typo in perl-policy", thanks to Tibor Csögör
                                                             (Closes: #334913).
  * Bug fix: "debian-policy: Outdated FSF postal address in Copyright
    Notice", thanks to Jean-Marc Ranger                      (Closes: #334819).
  * Bug fix: "debian-policy: §6.5 (3)(1): missing &quot;Error
    unwind:&quot; for &quot;new-postrm abort-upgrade&quot;", thanks to
    Henning Makholm                                          (Closes: #321792).
  * Bug fix: "debian-policy: typo in §5.6.3: co-maintaintainers", thanks
    to Henning Makholm                                       (Closes: #321790).
  * Bug fix: "debian-policy: typos in sect 9.3.1: &quot;ends .sh&quot;,
    &quot;rather that&quot;", thanks to Thijs Kinkhorst      (Closes: #343933).
  * Bug fix: "debian-policy: Unclear wording of ldconfig requirements in
    section 8.1.1", thanks to Ben Finney                      (Closes: #318214).
  * Bug fix: "debian-policy: Typo in 8.6.2: ${shlib:Depends} must be
    ${shlibs:Depends}", thanks to Thijs Kinkhorst             (Closes: #318147).
  * Bug fix: "debian-policy: gzipped fhs-2.3 documentation is corrupt",
    thanks to Gabor Gombas                                    (Closes: #340189).
  * Bug fix: "Section 6.3 should reference 3.10.1", thanks to Marc 'HE'
    Brockschmidt                                              (Closes: #326633).
  * Bug fix: "debian-policy: section 2.2 refers to no-longer existant
    non-US repository sections", thanks to Martin-Eric Racine 
                                                              (Closes: #315470).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Dec 2005 08:47:52 -0600

debian-policy (3.6.2.1) unstable; urgency=low

  * Bug fix: "debian-policy: Typo in upgrading-checklist.txt.gz", thanks
    to Romain Francoise. Added the missing /.               (Closes: #314569).
  * Bug fix: "x-session-manager already in use, so please add to
    virtual-package-names-list.txt", thanks to Christopher Martin 
                                                             (Closes: #313626).
  * Bug fix: "[ACCEPTED] SRFI 22 names for Scheme implementations", thanks
    to Jorgen Schaefer                                       (Closes: #310113).
  * Bug fix: "debian-policy: please add x-display-manager to
    virtual-package-names-list.txt", thanks to Jon Dowland  (Closes:  #294633).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 18 Jun 2005 00:48:14 -0500

debian-policy (3.6.2.0) unstable; urgency=low

  Manoj:
  * Bug fix: "policy 11.5.3 refers to using the menu package to register
    docs", thanks to Joey Hess                             (Closes: #222553).
  * Bug fix: "[PROPOSAL] Document Uploaders: field in policy", thanks to
    Andrew Pollock. Andreas Metzler provided the wording, though it was
    modified during inclusion.                              (Closes: #203145).
  * Bug fix: "debian-policy: Minor grammatical correction in section 9.4",
    thanks to Eric Evans. I rejected the proposed change, instead I went
    over the whole policy document and removed all he/she/him/her
    constructs before the gender police jump all over me.   (Closes: #273122).
  * Bug fix: "XSI:ism in prerm and postinst", thanks to David Weinehall
                                                            (Closes: #260092).
  * Bug fix: "debian-policy: please clarify section 12.7.", thanks to
    Adrian Bunk. Added a clarifying footnote that makes it clear that
    section 12.3 does not allow one to ignore section 12.7  (Closes: #276953).
  * 
  * Bug fix: "debian-policy: should not ship generated files in source
    archive, and should clean them from the tree", thanks to Branden
    Robinson                                                 (Closes: #284967).
  * Bug fix: "debian-policy: Detailed description of maintainer script
    calls (Section 6.5) is incomplete", thanks to Nikolaus Schulz 
    and Thomas Hood. What happens when error unwinding itself runs into
    problems is perhaps not discussed as completely as it should be.
                                                             (Closes: #286549).
  * Bug fix: "9.3.3.2 &quot;command -v&quot; example needs tweaking",
    thanks to Thomas Hood. Instead of the massively complex shenanigans
    suggested in the bug report, just use which. which lives in an
    essential package, so can be used in the preinst of packages.
                                                             (Closes: #291026).
  * Bug fix: "debian-policy: please clarify/loosen the policy on rewriting
    history", thanks to Frank Küster. Since this was not really a
    directive, but merely an expression of an opinion, moved it into an
    informative footnote.                                    (Closes: #290270).
  * Bug fix: "debian-policy: virtual package request: mpd-client", thanks
    to Eric Wong                                             (Closes: #270020).
  * Bug fix: "[ACCEPTED 2005/02/04]: "libexec", or use of "lib" for
    binaries in lib* packages", thanks to Junichi Uekawa 
                                                              (Closes: #146023). 
  * Bug fix: "debian-policy: virtual package: flexmem", thanks to Bartosz
    Fenski aka fEnIo                                          (Closes: #239359).
  * Bug fix: "Please clarify Section 2.5. required <-> essential",
    thanks to Adrian Bunk. Clarified the section.             (Closes: #216104).
  * Bug fix: "debian-policy: Please remove virtual package
    aspell-dictionary", thanks to Brian Nelson                (Closes: #295939).
  * Bug fix: "[AMENDMENT 18/02/2002] Where to place web-accessible
    images", thanks to Tollef Fog Heen                         (Closes: #89867).
  * Bug fix: "debian-policy: erroneous enumeration in prebuilt policy.*
    files", thanks to Nikolaus Schulz. I am hoping that this shall go away
    when we rebuild.                                          (Closes: #286553).
  * Bug fix: "please make names of alternate versions links", thanks to
    Robert Cheramy. Added HTTPPATH elements that should provide the URL's
    as well as the hyperlinks.                                 (Closes: #308886).
  * Bug fix: "www.debian.org: Misspelling in Policy Manual", thanks to
    Roberto C. Sanchez Various spelling errors were also corrected in a
    spell check run.                                           (Closes: #309162).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 16 Jun 2005 20:27:17 -0500

debian-policy (3.6.1.1) unstable; urgency=low

  Manoj:
  * [AMENDMENT 15/09/2003] Move documentation of behavior of ancient dpkg
    in 6.6 to a footnote.                                  closes: Bug#209855
  * Fix the outdated link for the mime subpolicy.          closes: Bug#212153
  * Fix a missing comma in the list of sections            closes: Bug#215524
  * Fix spelling of sysv-rc                                closes: Bug#215558
  * [AMENDMENT 28/03/2004] ${perl:Depends} documentation
    incomplete. Added an informative foot note stating that dependencies
    caused by versioned uses and on separately packaged modules are not
    included in this variable and must be explicitly included.
                                                           closes: Bug#202054
  * Clarified that section 3.2.1 refers to the date based postion of  the
    version number, if not already clear from the context. This allows
    developers leeway in selecting date based version numbers for their
    packages, without loosing the advantages of the format specified in
    this section.                                          closes: Bug#248618
  * Bug fix: "Broken link to virtual-package-names-list.txt in section
    3.6", thanks to Carlos O'Donell                        (Closes: #248786).
  * Bug fix: "Broken link to debconf_specification.txt.gz in section
    3.10.1 of the Debian Policy manual.", thanks to Carlos O'Donell and
    Scott C.MacCallum <scm@madoshi.com>            (Closes: #248788, 247761).
  * Bug fix: "missing commas in subsections list", thanks to Filippo
    Giunchedi                                             (Closes: #236614).
  * Bug fix: "debian-policy: policy-process, broken URL", thanks to Manoj
    Srivastava                                           (Closes: #244969).
  * Bug fix: "bad reference to debconf-devel(8) has to be (7)", thanks to
    Kevin Price                                          (Closes: #247143).
  * Bug fix: "debian-policy: Small wording change", thanks to Mike Paul
                                                          (Closes: #252392).
  * Bug fix: "debian-policy: broken URL: CSH Programming Considered
    Harmful", thanks to Steven Augart                     (Closes: #253324).
  * Bug fix: "New virtual package: cron-daemon", thanks to Adam Byrtek
                                                          (Closes: #252086).
  Josip:
  * Fixed detection of invoke-rc.d's existence,            closes: #218530.
  * Generalized the dpkg-shlibdeps example and added a current example in a
    footnote, set proper section ids and linked the d-sd section better,
                                                           closes: #50565.
  * Clarified the section about the Architecture field and added footnotes
    to indicate recommended actions,                       closes: #51832.
  * Updated PGP references,                                closes: #68827.
  * Linked f-Format in the list of fields of the .dsc file, not mandatory
    according to my skimming of dpkg-source,               closes: #70742.
  * Fixed the command line required to output the copyright file,
                                                           closes: #75508.
  * Removed the long obsolete notion of specific directory names within
    source tarballs,                                       closes: #79210.
  Andi:
  * sgml-dtd was moved, fix FTBFS.                         Closes: #241683
  * fix link to WM specification.                          Closes: #235484
  * manpage -> man page.                          Closes: #232364, #238958
  * language adjustment.                                   Closes: #227762
  * added virtual packages stardict-dictionary, inetd-superserver.
                                                  Closes: #185943, #237049

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 25 Jun 2004 16:07:38 -0500

debian-policy (3.6.1.0) unstable; urgency=low

  Josip:
  * Removed obsolete section on obsolete constructs and libraries,
    closes: #193748.
  Manoj:
  * Change reference to the debconf introduction from kitenet to a debian
    hosted server.                                         closes: Bug#187297
  * Added myspell-dictionary to the virtual packages list  closes: Bug#203728
  * Fix the restart action in the init.d/bind example; it now uses
    --oknodo so that the action does not fail when the service is not
    running.                                               closes: Bug#187250
  * invoke-rc.d and update-rc.d are now in the sysv-rc package instead of
    the sysvinit package. Fixed a reference in policy.     closes: Bug#200440
  * Note that postinst abort-remove is called if there is an error while
    removing the package.                                  closes: Bug#188030
  * [AMENDMENT 2003/08/03] Make Debconf the standard for prompting the
    user                                                   closes: Bug#176506

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 19 Aug 2003 07:28:10 -0500

debian-policy (3.6.0) unstable; urgency=low

  Josip:
  * Restructured Policy, closes: #189306.
    + Many packaging manual appendices that were integrated into policy
      sections are now empty, and replaced with links to the Policy.
      In particular, the appendices that included the list of control
      fields were updated (new fields like Closes, Changed-By were added)
      and the list of fields for each of control, .changes and .dsc files
      is now in Policy, and they're marked mandatory, recommended or
      optional based on the current practice and the behaviour of the
      deb-building toolchain.
    + Elimination of needlessly deep section levels, primarily in the
      chapter Debian Archive, from which two new chapters were split out,
      Binary packages and Source packages. What remained was reordered
      properly, that is, some sect1s became sects etc.
    + Several sections that were redundant, crufty or simply not designed
      with any sort of vision, were rearranged according to the formula that
      everything should be either in the same place or properly interlinked.
      Some things remained split up between different chapters when they
      talked about different aspects of files: their content, their syntax,
      and their placement in the file system. In particular, see the new
      sections about changelog files.
  Manoj:
  * Added Games/Simulation to menu subpolicy               closes: Bug#194974
  * Added Apps/Education to menu subpolicy                 closes: Bug#194972
  * [ACCEPTED]: Debian changelogs should be UTF-8 encoded. Changed the
    wording from a should to a may; since a should would make an unknown
    number of packages insta buggy. A reuest makes all these wishlist
    bugs; we can raise the severity in a later version of policy.
                                                           closes: Bug#174982
  * Added LANG=C before the debiandoc2X invocations, this ensures that the
    resulting documents do not get converted to the locale on the building
    machine.  This answers some of the issues mentioned in  Bug#175064
  * [AMENDMENT 02/05/2003] encourage packagers to systematically prevent
    mis-linked libraries                                   closes: Bug#191369
  * [AMENDMENT 6/6/2003] build-depends-indep need not be satisfied
    during clean target.                       closes: Bug#191411, Bug#178809
  * Fixed the fact that section 7.5.1 does not describe dpkg's true
    behavior. Now added a footnote that explains that replaces is a one
    way relationship.                                      closes: Bug#183195
  * Could no longer find the misspelling "seciton", thus this must have
    been fixed in a previous change in the manual.         closes: Bug#193903
  * Fixed an incorect /usr/share/common-licences/GPL reference, ensured a
    consistent spelling across the manuals.                closes: Bug#189516
  * Removed an extraneous > in menu policy.                closes: Bug#187615
  * Fixed typos, and part of the report that was deemed valid; the other
    changes suggested were incorrect, or style issues.     closes: Bug#169744
  * updated the section numbers in the upgrading checklist
    for the restructuring

 -- Josip Rodin <joy-packages@debian.org>  Wed,  9 Jul 2003 18:01:35 +0200

debian-policy (3.5.10.0) unstable; urgency=low

  Josip:
  * Fixed date, typos and added indentation in the virtual packages list,
    closes: #182792.
  * Changed the formatting of the link to the authors section to avoid
    confusion in the debiandoc2txt output, closes: #185985.
  * Fixed various typos, closes: #189274, #187418, #187422, #189654.
  * Removed broken link to csh.whynot on CPAN, closes: #187567.
  * Updated archive section list, closes: #187420.
  * Stop attaching byhand tarballs, cf. bug #184082.
  Manoj:
  * Clarify x-terminal-emulator virtual package eligibility, in an
    extention to an informative footnote.                    closes: Bug#165063
  * Add 40 points, not 20, when the window manager is compliant with "The
    Window Manager Specification Project".                   closes: Bug#167004
  * Fixed reference to the debconf URL (we can change the URL as it
    changes again, and I don't think any additional load would accrue
    since people using the old URL were redirected to auric anyway).
                                                             closes: Bug#184518
  * Inserted the word only in the package name section.      closes: Bug#184368
  * Amended the section about Prompting in maintainer scripts. Added a
    footnote (quoting from the Jargon File) to explain what "by hand"
    means in a computer context.                             closes: Bug#184507

 -- Josip Rodin <joy-packages@debian.org>  Sat, 10 May 2003 19:13:50 +0200

debian-policy (3.5.9.0) unstable; urgency=low

  Josip:
  * Added missing bits of information about Description: fields from
    the old Packaging manual,                                   closes: #172022
  * Fixed a stale reference to the "base system maintainer" to
    base-passwd maintainer,                                     closes: #174927
  * Fixed an accidental change from /usr/share/package to /usr/share/doc in
    the paragraph about not depending on /usr/share/doc/package,
                                                                closes: #174048
  * Fixed several errors reported by Guenther Palfinger, with some help from
    Richard Braakman,       closes: #177205, #177206, #177207, #177208, #177209
  * Added versions to links and docbook-xml source-dependencies, hopefully
    fixes the bug with potato, and even if it doesn't, I don't care :)
                                                                closes: #103459
  * Fixed typos in the debconf spec noticed by Jay Bonci,       closes: #178455
  * Clarified that using Build-Depends for build-dependencies is not a "may"
    but a "should", added proper linking among various sections dealing with
    the dependencies so that there is no confusion,              closes: #87510
    If any one of those poor, misguided people ;) still thinks that the
    requirement should be a "must" (in _our_ meaning, not RFC "MUST"),
    please file a new bug, as it's quite unproductive to have to sift
    through a 152-page bug log which mostly goes back-and-forth with
    explanations how policy should work, occasionally sprinkled with
    offtopic stuff, too.
  * When asked to restart a service that isn't already running, the init
    script should start it,                                      closes: #60979
  * Rephrased section on configuration files to remove confusing use of
    "should",                                                   closes: #170019
  * Rearranged the shared library information properly,         closes: #109166
    This change also centralizes the info on how to ship static libraries
    in one place (hopefully not too ambiguous),                  closes: #93975
  * Allow examples to be placed in /usr/share/doc/package/ in packages
    that are meant to provide examples,                          closes: #69864
  * Removed several references to the Policy manual etc in the stuff
    imported from old packaging manual,                         closes: #181923
  * Fixed too greedy wildcard match in the logrotate example,
                                                                closes: #183544

 -- Manoj Srivastava <srivasta@acm.org>  Fri,  7 Mar 2003 12:35:16 -0600

debian-policy (3.5.8.0) unstable; urgency=low

  Manoj
  * Added example for why one may call ldconfig anywhere in the
    postsint.                                                closes: Bug#120585
  * Add the modifications about base system, as opposed to the soon to be
    obsolete base section (I assume it is)                    closes: Bug#53582
  * Rearranged the virtual packages list.                     closes: Bug#72980
  * This is basically an attempt to ratify the current practice of using
    debhelper in the clean target. Currently, policy does not require
    debhelper to be installed when the clean target is run, even though it
    is in the build-depends field. This was a simple oversight.  
                                                             closes: Bug#164035
  * No longer depend on fileutils.                           closes: Bug#167425
  * Added the Apps/Science menu section                      closes: Bug#162812
  * Applied text patch from Joey Hess to the debconf spec simply make it
    conform to the reality of how some things work now. This is part of an
    effort to make debconf and cdebconf better substitutes for each
    other. Since it was not an XML patch, no special markup is present in
    the new content, except where I made guesses.            closes: Bug#160776
  * Clarify section 13.3.                                    closes: Bug#160248
  * Removed the undocumented(7) hack requirement.            closes: Bug#39830
  Josip
  * Removed the obsolete notion of documenting changes within the copyright
    file,                                                     closes: Bug#65764

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 15 Nov 2002 00:36:54 -0600

debian-policy (3.5.7.1) unstable; urgency=low

  * Fix the debconf spec to (postinst -> postrm) closes: Bug#129375, Bug#160839
  * Fix update-rc.d example, mention that changing run-levels or priority
    may require removing and re-creating the symbolic links. closes: Bug#149709
  * Fix the groff and col -b interaction                     closes: Bug#164755
  * Added section numbers to upgrading checklist             closes: Bug#160914
  * Fixed typo KB_Backspace -> KB_BackSpace
  * Clarify wording in the section about ChangeLog files to allow for
    symbolic links in /usr/share/doc/ directory (was already allowed in a
    previous section of policy 13.6)                         closes: Bug#111137
  * Removed a spurious + from text.                          closes: Bug#160908
  * Added a note in the debconf spec to consult debconf-devel(8) for
    details.                                                 closes: Bug#133030
  * Added a reference to the local copy of the FHS.          closes: Bug#122928
  * Updated reference to ash (dash). This implements the non controversial
    parts of Bug#161455.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 26 Oct 2002 13:12:49 -0500

debian-policy (3.5.7.0) unstable; urgency=low

  * Fixed some broken hrefs in links
  * No longer use local debiandoc stuff (it's been fixed upstream)
  * Added table of contents (index.html) to policy-process.sgml, fixing
    the new error reported to bug #137521                    closes: Bug#137521
  * Fixed a couple of typos                                  closes: Bug#139832
  * Ran through the policy document looking for long instances of text in
    the <tt> tag, and changed it to <file> where appropriate. This is
    since the <file> tag can handle line breaking, but the <t> flag does
    not.                                                     closes: Bug#139820
  * Change the requirement to ask permission to make devices to merely
    requiring a notification.                                closes: Bug#106280
  * Added a build dependson docbook utils.                   closes: Bug#154660
  * Since this is being built with a newer version of debiandoc-sgml, this
    should display better with lynx.                         closes: Bug#153704
  * Add in the crypto-in-main amendment.          closes: Bug#81852, Bug#144411
  * we no longer have task packages, instead, we define tasks using a
    special field in the control file (and these should be added only
    after discussion on the mailing lists)                    closes: Bug#97755
  * Clarify wording in the section for packages providing fonts.
                                                             closes: Bug#109672
  * Fix the doc base file for policy process     closes: Bug#137521, Bug#147554
                                                             closes: Bug#146756
  * using set -e is not dubious advice. Rejecting this.      closes: Bug#139969
  * Make the directory one is building under ./debian/ be up to the
    maintainer, instead of mandating ./debian/tmp/           closes: Bug#144297
  * Add a standards version                                  closes: Bug#145067
  * Added virtual package debconf-2.0                        closes: Bug#151328
  * Added The Window Manager Specification Project support to the default
    window manager selection mechanism                       closes: Bug#155680
  * The confusion between /var/mail and /var/spool/mail seems to have been
    disambiguated.                                           closes: Bug#114949
  * Mention the new Build-Depend-Indep semantic and the new
    build-indep/build-arch rules in upgrading checklist      closes: Bug#116134
  * Made package naming rules in policy consistent. I did not eliminate
    the duplication, since I don't want to make major changes to the flow,
    since we are supposed to be re-writing policy anyway.    closes: Bug#131441
  * Clarified wording about cases where we may have concrete and virtual
    packages with the same name.                             closes: Bug#134977
  * Fixed typo 'be be'                                       closes: Bug#138681
  * Fixed typo in appendix G -- example of diversion         closes: Bug#140697
  * fix typo shlib: -> shlibs:                               closes: Bug#141903
  * Provide a link between two sections dealing with virtual packages.
                                                             closes: Bug#143770
  * Fixed xtifr's email address in the menu policy           closes: Bug#152965
  * Allow shared library names to be have a hyphen between library name
    and soversion if the library name ends in a number.      closes: Bug#100472
  * Permit some libraries to only install static libs.       closes: Bug#100346
  * Remove the debug option, add noopt           closes: Bug#157131, Bug#113525
  * provide dhcp-client virtual package.                     closes: Bug#154142
  * We do not need bits in policy that ``should not be enforced''.
                                                             closes: Bug#150456
  * We are building this with the latest debianndoc-sgml.    closes: Bug#146703
  * Finish incorporating all of the accepted changes in Bug#72335, and
    this                                         closes: Bug#141307, Bug#156546
  * Added virtual package aspell-dictionary                  closes: Bug#139067
  * Added virtual package radius-server                      closes: Bug#118608
  * Clarifying manual pages is not a policy issue.           closes: Bug#112828
  * Corrected the ldconfig handling instructions.            closes: Bug#111025
  * Not a policy issue.                                      closes: Bug#106826
  * Removed the /usr/doc/ symlink clause.          closes: Bug#47298, Bug#69311

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 31 Aug 2002 02:18:02 -0500

debian-policy (3.5.6.1) unstable; urgency=low

  * Set the cotact information for the FHS contact, and add mention of the
    FHS mailing list.                                        closes: Bug#137172
  * ftp://ftp.debian.org/debian/doc/package-developer/ certainly seems to
    exist, and does contain the menu policy.     closes: Bug#110711, Bug#121977
  * Added java related virtual packages                      closes: Bug#110713
  * Fixed confusion in appar4ently contradictory wording about /etc/init.d
    scripts: clarified to emphasize that the init.d files _are_
    configuration files, and they _must_ have local changes preserved,
    either (if they are present in the .deb) by marking them as conffiles
    or, if they do not exist in the .deb file, by any other means. This
    does not change any requirements, and should have no affect on any
    conformant packages.                                     closes: Bug#132621
  * Fixed error in doc-base file                             closes: Bug#137521
  * fixed typo in virtual packages list                      closes: Bug#110446
  * Fixed typo in upgrading checklist.                       closes: Bug#110705
  * Fixed typo (dependencies) in the policy                  closes: Bug#122931
  * Fixed grammar errors in the policy                       closes: Bug#126131
  * While I am cleaning out bugs, these are old and the reporter no longer
    wnats to pursue them, and there was never a consensus reached. If
    there is interest, new bugs can be filed.      closes: Bug#51411, Bug#51412
  * Added the virtual package dict-client                    closes: Bug#122996
  * Added the virtual package foomatic-data                  closes: Bug#123570
  * Added the virtual packages {x-}audio-mixer               closes: Bug#131781

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 14 Mar 2002 12:16:53 -0600

debian-policy (3.5.6.0) unstable; urgency=low

  * Change footnote about urgency values to the now-current list: low,
    medium, high, emergency.
  * Correct note about /etc/default files being conffiles/config files,
    which I mucked up (sorry Joey) [10.3.2]
  * [AMENDMENT 2001/06/26] Downgrade emacs/tex to optional
                                                  closes: Bug#102204, Bug#53849
  * [AMENDMENT 2001/06/26] Next stage in usr/doc -> usr/share/doc transition
                                                             closes: Bug#102199

  * [AMENDMENT 09/06/2001] Clarifying FHS policy   closes: Bug#98291, Bug#60461
  * Spelling correction                                      closes: Bug#105625
  * [AMMENDMENT 28/06/2001] Restrict http access to /usr/share/doc
                                                             closes: Bug#100631
  * [AMENDMENT 23/5/2001] Optional build-arch and build-indep targets for
    debian/rules                                             closes: Bug#72335
  * The old packaging manual is included in the policy document as an
    informative appendix. It is not part of Debian Technical Policy, and
    its presence is a temporary measure until dpkg documentation includes
    the information provided.                                closes: Bug#105535
  * Added information about optional blank lines in the chagelog format.
                                                             closes: Bug#105538

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 24 Jul 2001 21:43:22 -0500

debian-policy (3.5.5.0) unstable; urgency=low

  * Fixed up incorrect entries in the changelog (there was an erroneous
    3.5.0.1 revision which never happened; it has now been correctly
    merged with the 3.5.3.0 changelog entry)
  * Add section numbers to upgrading-checklist for all revisions from
    3.0.0 onwards
  * Complete rewrite (and renumbering) of sections 9.1 and 9,2
  * This time *really* include the HTML version of the FHS
  * Added doc-base support for all of the HTML files
  * Added several more files to the byhand list and rewrote chunks of
    debian/rules to do this
  * Add patched versions of debiandoc-sgml stuff to source package until
    patches are incorporated upstream
  * Versioned Build-Depend on debiandoc-sgml for fixed Text.pm
  * Improved mkdir example in 10.1.2                 closes: Bug#92744
  * Made the "where examples live" entry in the upgrading-checklist
    clearer (add "for use by scripts")
  * Add a dpkg-statoverride description section      closes: Bug#89473
  * Fix the ldconfig usage description (remove "only if")
                                                     closes: Bug#89674
  * Clarification of package priority issues vis-a-vis the X Windows
    system                                           closes: Bug#91249
  * Enhanced x-terminal-emulator policy              closes: Bug#91252
  * Minor changes to X app-defaults policy           closes: Bug#91259
  * Clarification of X policy in respect to FHS      closes: Bug#91260
  * OpenMotif has the same rules as OSF/Motif        closes: Bug#91261
  * The X Font policy rewrite                        closes: Bug#91257
  * The "man" program is no longer guaranteed to read header information
    to find alternative manpage names                closes: Bug#94995
  * Correction to meaning of Standards-Version       closes: Bug#97072
  * Split section 12.8 (X Window System) into subsections for readability
  * Plug-ins != shared libraries (at last)           closes: Bug#66023
  * Add packaging manual remnants to policy document as appendices, and
    mention this in control file                     closes: Bug#95906
  * Clarification in Perl policy                     closes: Bug#98712

 -- Julian Gilbey <jdg@debian.org>  Fri,  1 Jun 2001 10:37:52 +0100

debian-policy (3.5.4.0) unstable; urgency=low

  * [ACCEPTED 2/4/01] /var/mail and /var/spool/mail  closes: Bug#42052
  * [AMENDMENT 26/04/2001] include Perl Policy       closes: Bug#83977
  * Also incorporates all the improvements that Julian has made to to the
    grammar and flow of the policy manual. The following are mostly
    Julian's fixes:
  * Removed reference to non-extant dpkg documentation
  * Fixed the confusing self referential language.   closes: Bug#85503
  * Correct ambiguous kanguage about declaring build dependencies.
                                                     closes: Bug#86436
  * Improved the woding of the footnote about shlibdeps.
                                                     closes: Bug#87233

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 28 Apr 2001 13:30:21 -0500

debian-policy (3.5.3.0) unstable; urgency=low

  * Removed recommendation on packaging-manual
                                    closes: Bug#86507, #93620, #93705
  * Also now Conflicts and Replaces packaging-manual
  * Remove FSSTND from binary package, although retain it in the source
    package for the time being
  * Get the version.ent non-compression thingy right this time!
  * Also install FHS stuff byhand (as requested by webmasters)
  * Corrected GPL name and location         closes: Bug#88788, #93047
  * Correct bug severities                          closes: Bug#91276
  * Correct typos etc. in policy-process
  * Rename all .text files as .txt
  * Fixed the "to to" typo in policy                 closes: Bug#87007
  * Changed packaging manual ==> dpkg documentation  closes: Bug#88651
  * [ACCEPTED 14/03/2001] Deprecate confusing        closes: Bug#87828
    Build-Depends arch syntax
  * [AMENDMENT 29/03/2001] Clarification of example  closes: Bug#87711
    configuration files
  * Undo all renaming to text, since the change had not been propogated to
    the rules file, which broke badly. This shall have to wait for a later
    version.
  * Richard Braakman and Michael Dorman have expressed their resignation
    from policy maintenance duties.
  * fixed the date thinko in upgrading checklist. Thanks to Sébastien
    Montagne <sebastien.montagne@netcourrier.com>        closes: Bug#84236

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 15 Apr 2001 13:36:19 -0500

debian-policy (3.5.2.0) unstable; urgency=low

  * Add XFree86 app-defaults ammendment             closes: Bug#83069

 -- Julian Gilbey <jdg@debian.org>  Sun, 18 Feb 2001 14:11:49 +0000

debian-policy (3.5.1.0) unstable; urgency=low

  * Removed deprecated virtual package names        closes: Bug#84641
  * Changed rmdir postrm example (suggestion on -policy list)
  * Removed Richard Braakman from list of maintainers at his request
  * Corrected typos and grammatical errors found by Sean Perry
                            closes: Bug#85501, #85504, #85505, #85506
                            closes: Bug#85508, #85510, #85511, #85514
                            closes: Bug#84631, #84636, #85497, #85982
                            closes: Bug#85986, #85993, #86001
  * No longer include the old proposal document     closes: Bug#84079
  * Update footnote about dpkg-shlibdeps now that it uses objdump; bump up
    minor version number for this
  * Updated dpkg-shlibdeps example to use up-to-date package names (and
    correct dpkg-shlibdeps command line syntax)
  * Clarify error conditions for package installation
                                       (Bug#61801 from packaging-manual)
  * Add the "main" section of each distribution (got left out by
    accident!)                 (Bug#64304, #75955 from packaging-manual)
  * Clean version numbering string     (Bug#73064 from packaging-manual)
  * Install HTML version of FHS                     closes: Bug#83487
  * Removed bashism from debian/rules

 -- Julian Gilbey <jdg@debian.org>  Thu, 15 Feb 2001 12:13:00 +0000

debian-policy (3.5.0.0) unstable; urgency=low

  * There have been numerous changes since the last major change, and
    peole have had tiome now to review the recent changes, so I am
    updating the policy minor version to reflect the quantity and
    magnitude of changes since 3.2.1
  * More spelling corrections, thanks to "Christian T. Steigies"
    <cts@nikocity.de>
  * Added mention of  DEB_BUILD_OPTIONS in upgrading checklist.
                                                    closes: Bug#83924
  * Fixed some typos.                               closes: Bug#83960
  * Policy now mentions preinst scripts.            closes: Bug#80342
  * [AMENDMENT 2000/12/26] allow/document use of Debian Configuration
    management system (debconf)                     closes: Bug#80347
  * Yet more typo fixes                             closes: Bug#82743
  * Document the fact that X font utilities have moved to the package
    xutils                                          closes: Bug#82966
  * Fixed the date in the virtual package list      closes: Bug#83438
  * Cleaned up some ephemeral informative foornotes of the polic. Thanks
    to Branden Robinson <branden@debian.org>        closes: Bug#83065
  * Corrected reference to the mime policy.         closes: Bug#79891
  * Corrected reference to the menu policy.         closes: Bug#75925
  * Added a note to the effect that the example make snippet used to
    illustrate the DEB_BUILD_OPTIONS environment variable is merely
    informative, and expanded the example to dismiss any confusion about
    potential failure due to accidentally trying to strip scripts.
                                                    closes: Bug#80506

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 28 Jan 2001 21:59:16 -0600

debian-policy (3.2.1.2) unstable; urgency=low

  * The minimal change in version number is so that people can test and
    root out the bugs in this document before we make everyone change to
    this version.
  * Document the Enhances relationship
  * Removed the restriction that one, and exactly one, person must
    maintain a package.                            closes: Bug#51879
  * Fixed a typo, and added the nogroup name, in uid/gid section of
    policy.                                        closes: Bug#53496
  * Fixed a misstatement in policy about not needing to depend on packages
    in the base system (not true -- the Essential tag is significant)
                                                   closes: Bug#53700
  * Clarified update-rc.d stuff                    closes: Bug#55048

  * We have already included the material for shlibdep changes, and most
    of this is not relevant to policy anyway.      closes: Bug#55730
  * makedev--> MAKEDEV                             closes: Bug#57154
  * Added restrictions on the files in /usr/share/doc/
                                                   closes: Bug#59403
  * Changed location of a paragraph about copyright files into the section
    that deals with copyright files.               closes: Bug#65765
  * init script configuration variables            closes: Bug#66912
  * Clarifed language about packages sharing a conffile need to be marked
    as conflicting                                 closes: Bug#76028

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 18 Jan 2001 01:43:58 -0600

debian-policy (3.2.1.1) unstable; urgency=low

  * Don't compress version.ent in the doc directory (it gets bigger!)
  * Incorporate the packaging manual into the policy document. The minimal
    change in version number is because I suspect that this version is
    going to be buggy.
                                                    closes: Bug#62943, Bug#72949
  * Fixed typo in menu-policy.                      closes: Bug#70442
  * Fixed typo in policy manual                     closes: Bug#70634, Bug#70643
  * Removed extraneous > from policy                closes: Bug#77645
  * Fixed two typos in upgrading checklist          closes: Bug#78809, Bug#78822
  * Fixed spelling of utility                       closes: Bug#82458
  * [ACCEPTED 2000/09/08] Free pkgs depending on non-US should go into
    non-US/{main,contrib}                          closes: Bug#69229
  * Added rsh-server and telnet server to the virtual packages list
                                                   closes: Bug#77404
  * Fixed outdated references to the FHS.          closes: Bug#77650

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 16 Jan 2001 23:53:31 -0600

debian-policy (3.2.1.0) unstable; urgency=low

  * [AMENDMENT 15/01/2000] revision of the "to build with X support or
    not" policy.                                        closes: Bug#53759
  * [ACCEPTED 2000/06/06] Must/Should/May in policy  This is only a
    clarifying change, and was not intended to change the intent of
    policy.                                             closes: Bug#64437
  * [ACCEPTED 03/05/2000] About the use of conffiles.   closes: Bug#61308
  * [AMENDMENT 10/05/2000] s/mail\.mail/root\.mail/     closes: Bug#62668
  * [ACCEPTED 04/05/2000] Update for new non-US layout  closes: Bug#62946
  * [ACCEPTED 04/05/2000] s/debian-devel/debian-legal/  closes: Bug#62947
  * [ACCEPTED 04/05/2000] s/bash/base-files/            closes: Bug#62948
  * Typo: 1744s/tty/ttyS/                               closes: Bug#64516
  * proposal for mp3-encoder virtual package            closes: Bug#64004
  * proposal for mp3-decoder virtual package            closes: Bug#64006
  * new virtual package time-daemon                     closes: Bug#69031
  * [PATCH] typos in menu-policy.sgml                   closes: Bug#69424
  * [PATCH] typos and awkwardness in policy.sgml        closes: Bug#69426
  * the example for using nostrip in DEB_BUILD_OPTIONS is
    incorrect.                                          closes: Bug#69487
  * [PATCH] more corrections                            closes: Bug#69670
  * [AMENDMENT 26/10/99] Amend non-free definition      closes: Bug#46522
  * [AMMENDMENT 29/10/99] /bin/sh needs echo -n         closes: Bug#48247
  * [AMENDMENT 1999/11/23] Clarify meaning of Essential: yes
                                                        closes: Bug#50832
  * [ACCEPTED] Request for new virtual packages: rsh-client and
    telnet-client                                       closes: Bug#58759

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 24 Aug 2000 02:06:30 -0500

debian-policy (3.2.0.0) unstable; urgency=low

  * Fixed bugs in debian-policy package:
  * We have had doc-base support for a while now.       closes: Bug#15709
  * packaging manual: Added additional clarification on dpkg
    behaviour.                                          closes: Bug#17369
  * [PROPOSAL] Do not make hardlinks to conffiles       closes: Bug#22935
  * [PROPOSED]: clarification needed about diversions.
    fixed usage for dpkg-divert                         closes: Bug#29522
  * [OLD PROPOSAL] debian-policy has an unclear statement
    on dependancies and priorities                      closes: Bug#39398
  * [ACCEPTED 10/26/99] changelog.html.gz sanitization. closes: Bug#40934
  * [AMENDED 07/09/1999] policy on -g, a proposal       closes: Bug#43787
  * Fixed missing </chapt> tag.                         closes: Bug#51091
  * Correct typo in section 2.3.5                       closes: Bug#52225
  * Documented that the library before the symlink hack
    (which dependend on file system specific kinks to work)
    is no longer required by newer versions of dpkg.    closes: Bug#53405
  * [ACCEPTED 02/01/2000] policy for usage of "xserver"
    alternative                                         closes: Bug#53755
  * [ACCEPTED 02/01/2000] additions to virtual package
    list                                                closes: Bug#53756
  * [ACCEPTED 02/01/2000] policy for "x-terminal-emulator"
     virtual package and alternative                    closes: Bug#53757
  * [ACCEPTED 02/01/2000] policy for "x-window-manager"
     virtual package and alternative                    closes: Bug#53758
  * [ACCEPTED 02/01/2000] revision of X application-defaults
    policy                                              closes: Bug#53760
  * [ACCEPTED 02/01/2000] revision of the Motif/LessTif
    policy                                              closes: Bug#53761
  * [ACCEPTED 02/01/2000] applying the FHS to packages
    that use X                                          closes: Bug#53762
  * [ACCEPTED 02/01/2000] policy for X font packages    closes: Bug#53763
  * Moved the documents into the Debian/ section, since
    that is where they belong, really.                  closes: Bug#54777
  * Fixed the ftp location in the manuals.              closes: Bug#56407
  * Fixed missing urlname entity in the sgml docs (where
    was it defined before anyway?)                      closes: Bug#56692
  * Fixed bugs in packaging-manual package:
  * Fixed typo where dpkg-genchanges was used instead of
    dpkg-gencontrol.                                    closes: Bug#58771
  * Other changes:
  * Added policy-process to document current procedures.
  * Added a dependency on fileutiles >=4.0, since the package would fail
    to install with older fileutils.
  * Installed FHS version 2.1
  * Policy recommends packaging manual and vice versa
  * Added FHS details to copyright file
  * Updaed the upgrade checklist. Minor changes to the ./debian/rules
    file.
  * Added footnotes in the packaging manual warning about the upcoming
    dpkg-shlibdeps change as in Bug#55730

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 30 Jul 2000 17:43:02 -0500

debian-policy (3.1.1.3) unstable; urgency=low

  * Fixed an upgrade bug when /usr/doc happens to be a symlink, and does
    not point to /usr/share/doc. A couple of people were bitten by this.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Feb 2000 22:27:05 -0600

debian-policy (3.1.1.2) unstable; urgency=low

  * Correct missing </chapt> in packaging.sgml (closes: #51091)
  * Correct typo in policy 2.3.5 (closes: #52225)

 -- Julian Gilbey <jdg@debian.org>  Mon, 20 Dec 1999 20:39:57 +0000


debian-policy (3.1.1.1) unstable; urgency=low

  * Correction to typo in packaging manual, section 6.2.
  * Correction to typo in packaging manual, section 12.2.5 (closes:
    #50502)
  * More corrections to packaging manual typos (closes: #50857)

 -- Julian Gilbey <jdg@debian.org>  Mon, 22 Nov 1999 19:23:31 +0000

debian-policy (3.1.1.0) unstable; urgency=low

  * Correct description of negated architectures in Build-Depends
    description in Packaging manual (closes: #49901)

 -- Julian Gilbey <jdg@debian.org>  Tue, 16 Nov 1999 15:03:48 +0000

debian-policy (3.1.0.0) unstable; urgency=low

  * Add instructions on /usr/doc -> /usr/share/doc symlinks (closes:
    #45561, #42447, #48570)
  * Added source dependencies (closes: #41232)
  * Deprecated /etc/rc.boot (closes: #32448, #32449)
  * Update-rc.d now only legal way to automatically access /etc/rc?.d
    directoried (closes: #41547)
  * FHS compliant location of examples (closes: #42849)
  * Added ispell-dictionary to virtual-packages.list (following new
    suggestions: no objections => accept) (closes: #8221)
  * Added man-browser to virtual-packages.list (closes: #24695)
  * Added ident-server to virtual-packages.list (closes: #45307)
  * Alphabeticised virtual packages list ;)
  * Corrected GPL reference in proposal.sgml
  * Clarification of "extra" priority (closes: #33076)
  * Remove buggy and seriously problematic licenses from list of contrib
    package criteria (closes: #45318)
  * Move docs to /usr/share/doc with a compatibility symlink (closes:
    #41829)
  * Update to FHS 2.1 draft #3 (for /var/state etc. changes).
  * Correct /var/lib/games -> /var/games (closes: #42358)
  * Added MIME subpolicy (closes: #46516)
  * Added support for VISUAL (closes: #41121)
  * Clarify non-dependence on /usr/local (closes: #44922)
  * Modified description of mail spool locking (closes: #43651)
  * Clarified wording of conffiles and configuration files (closes:
    #40766, #40767)
  * Changed description of release numbers (closes: #44620)
  * Added changelog.html -> changelog requirement (closes: $40934)
  * packaging-manual now correctly installs its docs (closes: #44643)
  * The packaging manual now discusses version numbers based on dates
    (closes: #17621)
  * Mention ls -f for testing order in which files appear on disk (closes:
    #19179)
  * Change order of '.' and '+' in description of version numbers (closes:
    #41095)
  * s/fields/field names/ in section 4.1 of packaging manual for clarity
  * Add Build-Depends-Indep: field to control file

 -- Julian Gilbey <jdg@debian.org>  Thu,  4 Nov 1999 23:50:37 +0000

debian-policy (3.0.1.1) unstable; urgency=low

  * Typo corrected in packaging manual. closes: Bug#40180
  * Chnaged rules file to create ps and pdf files.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Aug 1999 01:21:09 -0500

debian-policy (3.0.1.0) unstable; urgency=low

  * A few typos and omissions corrected
  * Added the pop3-server to the virtual packages list, as decided on the
    list.
  * Fix the self reference to a location on the web site. closes: Bug#39408
  * Added the clarification that the .la files are essential for the
    packages using libtool's libltdl library, in which case the
    .la files must go in the run-time library package. (this is why this
    is version 3.0.1.0, and not 3.0.0.1)
  * The virtual package list has new directions (this has been true for a
    while, I am just closing the bug now). closes: Bug#26159
  * Since this package now contains the FHS, this closes: Bug#25533
  * The General resolution prototcol handling of the logos closes: Bug#26915
  * Inclusion of the Menu policy in the main policy document closes: Bug#30036
  * Since proposal submitting guidelines are now in the policy package,
    this closes: Bug#38612
  * Changed a /usr/doc reference to /usr/share/doc which had beeen missed
    before. closes: Bug#40864

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 Jul 1999 13:35:11 -0500

debian-policy (3.0.0.0) unstable; urgency=low

  * This is a test version of the policy package, and shall not be
    officially uploaded.
  * Merged in the packaging manual sources (we still have two separate
    .deb packages)
  * Multiple minor packaging tweaks.
  * [ACCEPTED 1998/05/01] Policy clarification about Standards-Version
    Added the clarifying paragraph (and the rationale in a footnote).
    closes: Bug#21969
  * [ACCEPTED 1999/04/05] Policy note that GPL moved to
    /usr/share/common-licenses. Again, also added the rationale as a
    footnote. closes: Bug#28747
  * [ACCEPTED 1999/05/04] Libtool archive (*.la) files in -dev' packages
    closes: Bug#37257, Bug#37338
  * [ACCEPTED 1999/04/28] Logrotation. Standardizer on logrotate.
    closes: Bug# 37342
  * [ACCEPTED 1999/05/23] Rewrite of section 5.7 (Programs for the X
    Window System) closes: Bug#38212
  * [ACCEPTED 1999/05/15] Separate menu policy (like virtual package list)
    closes: Bug#37713
  * [ACCEPTED 1999/05/09] Utmp group proposal
    closes: Bug#37389
  * [ACCEPTED 1999/05/09] Adopt the FHS in place of FSSTND
    Changed all references to the proper FHS versions. This was a first
    scan, so some references may still need to be changed. closes: Bug#37345
  * Updated the upgrading checklist.
  * updated the proposal for policy update to reflect the latest

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 30 Jun 1999 22:49:15 -0500

debian-policy (2.5.1.0) unstable; urgency=low

  * Removed double '>' marks from the policy document. closes: Bug#35095
  * Corrected canonical source for "Csh Programming Considered Harmful"
    closes: Bug#36286 Bug#32499
  * Fixed typo in invocation of update-rc.d. closes: Bug#34988 Bug#34543
  * Fixed misspelling of accessible. Ran ispell over the rest of the
    document (painful because of the large number of technical terms in
    there). closes: Bug#34233
  * Make the binary package contain the version.ent as well. closes: Bug#31033
  * Fixed typo s/as is/is/. closes: Bug#30302
  * AMENDMENT 23/04/1999: changed /etc/nntpserver recommendation to
    /etc/news/server. closes: Bug#21875
  * Added the current list of policy maintainers. closes: Bug#30148

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 27 Apr 1999 11:10:29 -0500

debian-policy (2.5.0.0) unstable; urgency=low

  * AMENDMENT: Added in changes in Bug #25911, which rearranged sections
    to create a new section 4, namely, files. Section 3.3 ("Files") should
    become Section 4.  The Sections that are currently Section 4 and
    Section 5 should be moved down to become Section 5 and Section 6
    accordingly.

    What is now Section 5.5 ("Log files") should be moved to be a
    subsection of the new Section 4 ("Files"), becoming section 4.8,
    placing it after "Configuration files", moving the would-be Section
    4.8 ("Permissions and owners") to Section 4.9.  All subsections of the
    current Section 5 after 5.5 should be accordingly moved down to fill
    in the number gap.

    This, along with the next amendment, justifies bumping up the version
    number. closes: BUG#25911

  * AMENDMENT: Added in changes in Bug #21185, about the naming and
    compression of changelog files. Now, if the upstream changelog file is
    HTML formatted, it should be accessible as
    /usr/doc/<package>/changelog.html.gz It also allows for this to be a
    symlink, if the upstream file name does not conform to Debian
    conventions. closes: BUG#21185

  * AMENDMENT: Added in changes in Bug #7890, to make clear that the HTML
    documents should be supplied in _some_ package, not necessarily in the
    main binary package (at the discretion of the maintainer).
    closes: BUG#7890

  * AMENDMENT: Added in changes in Bug #26461, which corrects the policy
    to refer to /usr/doc/<package>/copyright, rather than
    /usr/doc/copyright/<package>. closes: BUG#26461

  * AMENDMENT: Added in changes in Bug #25385, which allow the
    architecture specification strings to be of the form <arch>-<os>,
    where os is one of linux, gnu. Previously, only linux was allowed, now
    we also cater to the hurd. closes: BUG#25385

  * The responsibility of the contents of this package has now passed to
    the debian-policy mailing list. The packaging details are now being
    managed by a group of maintainers that do ot won the contents.

  * Make the package optional, not extra.

  * Re did the SGML markup. Normalized the document, and undid the omitted
    and shor tags. Personally, I use too many DTD's in real life to be so
    converssant with each one to be clever with tag omissions, and, since
    I have a smart editor, omitting tags does not byuy one much. In the
    process, I discovered a few errors in the markup (one of my
    predecessors hasd the unfortunate habit of treating <p> as a "create
    some space here" tag, and more often than not put it at the end of a
    paragraph, rather than using is as a container element (which is what
    it is, really).

  * Re did the control files, making them more robust

  * re did the rules file, making it more general, and easier to maintain
    by putting in a layer of abstractions.


 -- Manoj Srivastava <srivasta@debian.org>  Thu, 29 Oct 1998 15:16:52 -0600

debian-policy (2.4.1.4) unstable; urgency=low

  * New Maintainer <debian-policy@lists.debian.org>

 -- Philip Hands <phil@hands.com>  Sat,  5 Sep 1998 02:41:35 +0100

debian-policy (2.4.1.3) unstable; urgency=low

  * New maintainer (with changes from Adam P. Harris' proposed NMU)
  * policy.sgml:    some awkward phrasings fixed (closes Bug#22006)
  * policy.sgml:    s/depreciated/deprecated (closes Bug#21831)
  * debian/control: added conflict doc-base (<< 0.6), which I still am not
    sure why we need this but hey (closes Bug#21554)
  * policy.sgml: use new <url> tag where appropriate
  * policy.sgml, debian/control: always dynamically self reference the
    current version of policy, that is, do not hard code policy revision
    or date anywhere
  * debian/rules: use dpkg-gencontrol -isp
  * bugs fixed in some unknown previous version (closes Bug#23177)

 -- Philip Hands <phil@hands.com>  Tue, 11 Aug 1998 09:54:17 +0100

debian-policy (2.4.1.2) frozen unstable; urgency=low

  * non-maintainer release
  * rebuild package to fix truncated Chapter 3 (Bug#23408, not marked as
    important but should be, since a gaping hole in policy is very
    annoying.)
  * bumped version of policy, within the document, to this version number,
    but not the date, indicating nothing really changed since then
  * no content changes
  * debian/rules: clean is a little cleaner

 -- Adam P. Harris <aph@debian.org>  Tue, 16 Jun 1998 03:15:22 -0400

debian-policy (2.4.1.1) frozen unstable; urgency=low

  * Orphaned package

 -- Christian Schwarz <schwarz@debian.org>  Thu, 14 May 1998 21:54:50 +0200

debian-policy (2.4.1.0) frozen unstable; urgency=low

  * Changes to the Debian Policy Manual:

    - Updated section 3.1.2 Site-specific programs
          and section 3.8 Keyboard configuration:
      + improved wording (fixes:bug#20129)

    - Updated section 2.1.7 Subsections:
      + fixed typos (fixes:bug#18145)

    - Updated section 3.3.5 Symbolic links:
      + symbolic links within a toplevel directory should be relative,
        symbolic links between toplevel directories should be absolute
        (cf., Policy Weekly Issue#6, topic 2)

    - Updated section 3.4 System run levels:
      + Intro: mention /etc/rcS.d (links to boot time scripts)
      + Notes: include rationale why /etc/init.d scripts have to be tagged
        as conffiles (fixes:bug#16199)
      + Example: changed example init.d script to handle force-reload
        and restart options and to comply with the console message
        standard (fixes:bug#19216)

    - Updated section 4.8 Emacs lisp programs:
      + Replaced old section about lisp programs with a reference to
        the file debian-emacs-policy.gz, installed by the emacsen-common
        package.

    - Updated section 4.9 Games:
      + manpages for games should be installed in /usr/man/man6
        (cf., Policy Weekly Issue#6, topic 3)

    - Removed one example reference to the current standards version
    - Include manual's date as plain text in the .sgml source so that
      a recompiled manual uses the same release date

  * Changes to the authoritative list of virtual package names:
    - Removed obsolete virtual package `emacs'

  * New version numbering scheme:

    - The version numbers are independent of dpkg now, but all policy
      manuals (the Debian Policy Manual, the Debian Packaging Manual, and
      the Debian Developer's Reference) share the same version numbering
      scheme.

    - The first three digits of the version number specify the
      `Standards-Version.' This number is incremented with each policy
      change. The fourth digit represents the `patch-level,' which may
      differ between the manuals.

      If only the patch-level digit is incremented, no changes in policy
      have been made, except bug fixes and clarifications. Packages only
      have to specify the first three digits of the version number in the
      `Standards-Version' field of their source packages.

  * Packaging changes:

    - Uploaded to frozen and unstable. This is a documentation-only
      package and the changes to the manual are relevant for hamm.

    - Fixed FSF's address in copyright file (detected by Lintian)

 -- Christian Schwarz <schwarz@debian.org>  Tue, 14 Apr 1998 10:08:09 +0200

debian-policy (2.4.0.0) unstable; urgency=low

  * Changes to the Debian Policy Manual:

    - Updated section 3.3.4 Scripts:
      + /bin/sh may be any POSIX compatible shell
      + scripts including bashisms have to specify /bin/bash as
        interpreter
      + scripts which create files in world-writable directories
        (e.g., in /tmp) should use tempfile or mktemp for creating
        the directory

    - Updated section 3.3.5 Symbolic Links:
      + symbolic links referencing compressed files must have the same
        file extension as the referenced file

    - Updated section 3.3.6 Device files:
      + /dev/tty* serial devices should be used instead of /dev/cu*

    - Updated section 3.4.2 Writing the scripts [in /etc/init.d]:
      + all /etc/init.d scripts have to provide the following options:
        start, stop, restart, force-reload
      + the reload option is optional and must never stop and restart
        the service

    - Updated section 3.5 Cron jobs:
      + cron jobs that need to be executed more often than daily should
        be installed into /etc/cron.d

    - Updated section 3.7 Menus:
      + removed section about how to register HTML docs to `menu'
        (the corresponding section in 4.4, Web servers and applications,
        has been removed in policy 2.2.0.0 already, so this one was
        obsolete)

    - New section 3.8 Keyboard configuration:
      + details about how the backspace and delete keys should be
        handled

    - New section 3.9 Environment variables:
      + no program must depend on environment variables to get a
        reasonable default configuration

    - New section 4.6 News system configuration:
      + /etc/news/organization and /etc/news/server should be supported
        by all news servers and clients

    - Updated section 4.7 Programs for the X Windows system:
      + programs requiring a non-free Motif library should be provided
        as foo-smotif and foo-dmotif package
      + if lesstif works reliably for such program, it should be linked
        against lesstif and not against a non-free Motif library

    - Updated section 4.9 Games:
      + games for X Windows have to be installed in /usr/games, just as
        non-X games

    - Lots of typos fixed (thanks to Ray Dassen for the patch!)

  * Changes to the authoritative list of virtual package names:
    - added `libc-dev' and `emacsen'

  * Merged `/usr/doc/debian-policy/changelog-policy.gz' into this
    changelog file

  * Included `Policy checklist for upgrading your packages' from the
    Policy Home Page as /usr/doc/debian-policy/upgrading-checklist.text.gz

  * Added support for doc-base to register the Policy Manual to the
    online documentation systems dwww and dhelp (fixes:#15710)

  * Upgraded to standards version 2.4.0.0 (no changes)

 -- Christian Schwarz <schwarz@debian.org>  Fri, 30 Jan 1998 21:58:25 +0100

debian-policy (2.3.0.1) unstable; urgency=low

  * Changes in the Debian Policy Manual:
    - X library package is now called xlib6g
  * Changes in the authoritative list of virtual package names:
    - Added emacs, c-compiler, fortran77-compiler, lambdamoo-core,
      lambdamoo-server
  * Conflict with old dpkg-dev version that included policy manual
    (fixes #13790)
  * Removed `tentative-opt-draft' from package since people considered
    the draft official policy (which is not the case)
  * Don't use debstd anymore

 -- Christian Schwarz <schwarz@debian.org>  Tue, 21 Oct 1997 23:03:52 +0200

debian-policy (2.3.0.0) unstable; urgency=low

  * Changes in the Debian Policy Manual:
    - reworked chapter `The Debian Archive' to cover new
      contrib/non-free policy
    - call "contrib" and "non-free" a `section' (not `distribution')
    - refer to license files (GPL, LGPL, etc.) as uncompressed files
    - changed `/etc/news/server' into `/etc/nntpserver' in example of
      maintainer scripts (fixes #11517)
    - new section about `Daemons'
    - updated section about `Configuration files'
    - MUAs and MTAs have to use liblockfile
    - fixed typos and grammatical errors
  * Changes in the authoritative list of virtual package names:
    - renamed tcl/tk virtual package names to `tclsh' and `wish'
  * Paper about libc6 migration:
    - fixed typos (fixes #11641), thanks to James Troup for the patch!
  * SGML source code included in package
  * don't use `2-up' style for PostScript version (fixes #11095)

 -- Christian Schwarz <schwarz@debian.org>  Mon,  2 Sep 1997 00:54:31 +0200

debian-policy (2.2.0.0) unstable; urgency=low

  * Changes in the Debian Policy Manual:
    - completely reworked structure
    - moved sections about new maintainers, upload procedure, interim
      releases, and mailing lists into the Developers Reference Manual
    - moved a few (small) sections into the Debian Packaging Manual
    - removed all those ugly footnotes
    - new example for "reload" in section about console messages
    - mention Artistic License (fixes #9793)
    - don't mention dpkg's version number in Policy Manual
    - rewrote abstract and section introductions
    - mention "orphaned packages"
    - maintainer is responsible for a package license to comply with the
      distributions' policy
    - putting a package into base section requires discussion on debian-devel
    - rewrote sections about "pre-depends", "essential" and, "base" packages
    - added note that non-us' maintainers have to live outside the US
    - added crypto-hook statement (fixes #7257)
    - added section about arch spec strings
    - rewrote section about "Site specific programs" (/usr/local)
    - included Ian's suggestions for user IDs
    - added section about "menus"
    - removed section about "web menus" since this will be superseded with
      the new documentation policy soon
    - incorporated "Debian Free Software Guidelines" (fixes #9024)
    - removed note that linking with -g produces large a.out binary (fixes
      #11008)
    - added section about editors and pagers
    - added note about Package priorities and dependencies
    - added section about cron jobs (fixes #8814)
    - added section about device files
    - don't install shared libraries as executable (fixes #7129)
    - app-defaults files may not be conffiles (cf. #2717)
    - lots of minor changes not worth mentioning here (typos, formulations,
      etc.)
  * Changes in the authoritative list of virtual package names
    - Removed obsolete virtual packages: xR6shlib, xlibraries,
      compress, emacs, sgmls, inews, gs_x, gs_svga, gs_both, xpmR6
    - Added new section about obsolete names
  * Added Helmut Geyer's paper about libc5-libc6 migration
  * Fixed package's description

 -- Christian Schwarz <schwarz@debian.org>  Sun, 13 Jul 1997 13:25:51 +0200

debian-policy (2.1.3.3) frozen unstable; urgency=low

  * Mention Artistic License in section 2.5 (bug #9755)

 -- Christian Schwarz <schwarz@debian.org>  Wed, 14 May 1997 16:53:15 +0200

debian-policy (2.1.3.2) frozen unstable; urgency=low

  * Fixed an email address, an URL, and several typos in chapter 6 (#9358)
  * Added new virtual package "wordlist" to list (requested by Joey Hess)
  * Changed wording in section about "non-free" packages as suggested
    by Kai Henningsen (#7076)

 -- Christian Schwarz <schwarz@debian.org>  Mon, 5 May 1997 20:05:39 +0200

debian-policy (2.1.3.1) frozen unstable; urgency=low

  * Fixed bug in chapter 7: `-ur' should read `-us' (#8874)
  * Fixed bug in chapter 7: `-rwhatever' also needed for rebuild (#8874)
  * Create a PS and HTML version of the Policy Manual and upload it
    "byhand".
  * Install virtual-package-names-list.text in /usr/doc/debian-policy
    and upload it "byhand" too.

 -- Christian Schwarz <schwarz@debian.org>  Tue, 29 Apr 1997 18:02:14 +0200

debian-policy (2.1.3.0) unstable; urgency=low

  * Initial Release.
  * New Policy Manager: Christian Schwarz <schwarz@debian.org>
  * Added section 2.4 about the "non-us" distribution.
  * Added section 3.1.1 about the "Package" field in the control file.
  * Added section 3.2.1 about "Binaries": two programs with different
    functionality must not have the same name.
  * Changed headline of section 3.2.6 into "Debian changelog and upstream
    changelog" as suggested by Santiago Vila Doncel <sanvila@unex.es>.
  * Added log-rotating example to section 3.2.9 that tests with `-sf',
    as suggested by Boris D. Beletsky <borik@isracom.co.il>.
  * Added section 3.13: "Webstandard 3.0" by Christoph Lameter.
  * Added section 3.14: "Standard for Console Messages" by Christian Schwarz.
  * Split section 4.1 into 4.1.1 (Options for binaries) and 4.1.2 (Options
    for libraries)
  * Added note to 4.1.2: Libraries should be compiled with `-D_REENTRANT'
    to make them compatible with LinuxThreads, by Rob Browning
    <osiris@cs.utexas.edu>.
  * Added note to 4.1.2: Libraries should be stripped with
    "strip --strip-unneeded", by Guy Maor <maor@ece.utexas.edu>.
  * Section 5.2: Policy changelog is now
    "/usr/doc/debian-policy/changelog-policy.gz". This fixes bug #6130.
  * Section 6.2 renamed to "Uploading your first Debian package". This
    fixes bug #6130.

 -- Christian Schwarz <schwarz@debian.org>  Sat, 15 Mar 1997 18:08:56 +0100

debian-manuals (2.1.2.2) frozen unstable;

  * Fixed even more typographical and grammatical errors in Policy and
  Programmer's manual
  * Corrected the contact email addresses again.
  * Added a paragraph to Policy 6.3 on taking over an old package (Guy Maor)
  * Added a paragraph to Programmer 4.2.14 on listing distributions to load
  a package into. (Guy Maor)
  * Further clarification of use of absolute pathnames in scripts in
  Programmer 6.1.

 -- David Morris <bweaver@worf.netins.net>  Tue, 3 Dec 1996 23:28:04 -0600

debian-manuals (2.1.2.1) frozen unstable;

  * Many editorial and formatting revisions with suggestions from Ian Jackson,
  Guy Maor and others
  * correction of chiark address in Policy 6.2
  * footnote in Programmers chapter 2 pointing to deb(5) manpage for
  description of deb file format.
  * addition of more dpkg examples in Programmer chapter 2
  * Replace paragraph in Policy 4.1 outlining compiling parameters for
  shared libraries.
  * Added paragraph in Programmer 6.1 on paths in maintainer scripts
  (Bug #2481)
  * Cleaned up language and formatting of Programmer's 12.2, shlibs
  * Corrected contact addresses for listmaster and override-change

 -- David Morris <bweaver@worf.netins.net>  Wed, 27 Nov 1996 08:17:16 -0600

debian-manuals (2.1.2.0) frozen unstable;

  * Mostly editorial changes in Policy Manual.
  * Added summary of distribution criteria to Introduction
  * Added section headings for copyright criteria
  * Fixed typos (Bugs #4485, #4622)
  * Added paragraph in Compilation Options related to use of shared and
    static libraries. (Bug #5299)
  * Paragraph added about where to find PGP and other export restricted
    packages in section on Procedure
  * Change in List administrator and in the contact address for becoming
    a package maintainer
  * A paragraph added related to who to contact for package maintainer changes.
  * Changed where to send upload announcements: uploads destined for unstable,
    frozen, or experimental go to debian-devel-changes.

  * Made some mostly editorial changes to Programmers Manual.
  * Added a recommendation to debmake in Introduction.
  * A further interpretation of the various Distributions is added with
    the intent of helping people decide which one to choose. (section 4.2.14)
  * Section 12 on Shared Libraries expanded with further technical information
    on various shlib files
  * Section in 2.2 on format of shlib file moved to new subsection within 12.
  * Paragraph on adding a symlink without version number added to Shared
    Library Section (Guy Maor, Bug #5299)

 -- David Morris <bweaver@worf.netins.net>  Fri, 22 Nov 1996 23:41:39 -0600

debian-manuals (2.1.1.0) unstable;

  * Hard links are forbidden in source packages (they didn't work anyway,
    and can't easily be made to work reliably).
  * Do not use dpkg-divert or update-alternatives without consultation.

  * Do not need to declare dependencies on Essential packages.
  * Restrictions on Pre-Depends stated in policy manual.
  * debian/substvars file is now almost always auto-generated.
  * Shared libraries must be installed stripped.
  * Essential and Pre-Depends put together in policy manual.

  * Explained component-wise (file-wise) vs. package-wise dependencies.

 -- Ian Jackson <ian@chiark.greenend.org.uk>  Thu, 12 Sep 1996 01:00:41 +0100

debian-manuals (2.1.0.0) unstable;

  * Upstream changelog must be installed too (was just recommended).

  * Modification to use dpkg-shlibdeps added to conversion instructions.
  * Packages which are buggy and orphaned but which are preserved for
    compatibility go in contrib.

  * Programmers' manual source package section refers to conversion
    instructions in policy manual.
  * Make it clear that recommending a non-free or contrib package puts a
    package in contrib.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Sun, 1 Sep 1996 17:47:18 +0100

debian-manuals (2.0.1.0) unstable;

  * varargs.h and libtermcap are obsolete - use stdarg.h and ncurses.
  * Shared library link/library ordering corrected (aargh).
  * When to byte-compile Elisp files.
  * Missing final newlines not represented by dpkg-source.

  * Must post upload announcements to debian-changes.
  * Moved some sections into new `configuring and building' chapter.
  * Typo fixes.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Sat, 31 Aug 1996 20:07:22 +0100

debian-manuals (2.0.0.0) unstable;

  * Footnote added OK'ing copyrights which require name changes.
  * More detail about changelog format names.

  * Problematic licence restrictions are formatted as lists.
  * Mentioned 822-date utility as way to generate RFC822 format dates.
  * Typos corrected.
  * Released.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Mon, 26 Aug 1996 14:27:34 +0100

debian-manuals (0.2.1.1) unstable;

  * Can't overwrite directories in one package with files in another.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Sat, 24 Aug 1996 18:44:54 +0100

debian-manuals (0.2.1.0) unstable;

  * Policy says when and how to include original source in upload.

  * Need -sa on dpkg-genchanges/dpkg-buildpackage when converting.

  * Use minor patchlevel for meaning changes which don't affect packages.
  * More verbosity about netiquette.
  * Reorganised participation and upload policy: merged with mailing lists.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Fri, 23 Aug 1996 12:48:09 +0100

debian-manuals (0.2.0.1) experimental;

  * Said that system administrators' manual does not exist.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Fri, 23 Aug 1996 04:05:36 +0100

debian-manuals (0.2.0.0) experimental;

  * Draft releases.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Wed, 21 Aug 1996 15:07:53 +0100
